aboutsummaryrefslogtreecommitdiffstats
path: root/conf
diff options
context:
space:
mode:
authorFrans Meulenbroeks <fransmeulenbroeks@gmail.com>2010-08-10 10:57:45 +0200
committerFrans Meulenbroeks <fransmeulenbroeks@gmail.com>2010-08-10 18:05:05 +0200
commit07b7b39348d8dcd891eac88dd86f1d075050cb0f (patch)
treeb5b1616c4687b5e042d6f24b115aa537d78f1373 /conf
parentdb4786b7bef7abbefdd561fb3a5e42377da3a547 (diff)
downloadopenembedded-07b7b39348d8dcd891eac88dd86f1d075050cb0f.tar.gz
openembedded-07b7b39348d8dcd891eac88dd86f1d075050cb0f.tar.bz2
openembedded-07b7b39348d8dcd891eac88dd86f1d075050cb0f.zip
openmoko: removed distro
As discussed on #oe on Aug 10, 2010. Removed because this is not used or maintained any more. A message * * * Sorry, The Openmoko distribution has been removed on Aug 10, 2010. * It is recommended to use the DISTRO = "shr" instead. \ * \ * If you really need Openmoko you can still find it in git. * * will be given if someone is still using it. Signed-off-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com> Acked-by: Marcin Juszkiewicz <hrw@openembedded.org> Acked-by: Michael 'Mickey' Lauer <mlauer@vanille-media.de> Acked-by: Martin Jansa <martin.jansa@gmail.com> Acked-by: Graeme Gregory <dp@xora.org.uk>
Diffstat (limited to 'conf')
-rw-r--r--conf/distro/include/preferred-om-2008-versions.inc2124
-rw-r--r--conf/distro/openmoko.conf92
2 files changed, 4 insertions, 2212 deletions
diff --git a/conf/distro/include/preferred-om-2008-versions.inc b/conf/distro/include/preferred-om-2008-versions.inc
deleted file mode 100644
index 92bb71d595..0000000000
--- a/conf/distro/include/preferred-om-2008-versions.inc
+++ /dev/null
@@ -1,2124 +0,0 @@
-PREFERRED_VERSION_0xffff ?= "0.2"
-PREFERRED_VERSION_0xffff-native ?= "0.2"
-PREFERRED_VERSION_aalib ?= "1.4rc5"
-PREFERRED_VERSION_abiword ?= "2.5.2"
-PREFERRED_VERSION_abiword-embedded ?= "2.5.2"
-PREFERRED_VERSION_abiword-plugins ?= "2.5.2"
-PREFERRED_VERSION_abuse ?= "0.7.0"
-PREFERRED_VERSION_acpid ?= "1.0.4"
-PREFERRED_VERSION_acx-firmware ?= "1.0"
-PREFERRED_VERSION_addressbook ?= "0.1"
-PREFERRED_VERSION_adns ?= "1.0"
-PREFERRED_VERSION_agg ?= "2.5"
-PREFERRED_VERSION_aircrack ?= "2.41"
-PREFERRED_VERSION_aircrack-ng ?= "0.9.1"
-PREFERRED_VERSION_albumshaper ?= "2.1"
-PREFERRED_VERSION_aliens ?= "1.0.0"
-PREFERRED_VERSION_aliens-qt ?= "1.0.0"
-PREFERRED_VERSION_alsa-lib ?= "1.0.15"
-PREFERRED_VERSION_alsa-oss ?= "1.0.15"
-PREFERRED_VERSION_alsa-plugins ?= "1.0.14"
-PREFERRED_VERSION_alsa-state ?= "0.2.0"
-PREFERRED_VERSION_alsa-utils ?= "1.0.15"
-PREFERRED_VERSION_anthy ?= "7811"
-PREFERRED_VERSION_anthy-native ?= "7811"
-PREFERRED_VERSION_antlr ?= "2.7.7"
-PREFERRED_VERSION_antlr-native ?= "2.7.7"
-PREFERRED_VERSION_apache2 ?= "2.2.3"
-PREFERRED_VERSION_apache2-native ?= "2.2.3"
-PREFERRED_VERSION_apex-env ?= "1.5.8"
-PREFERRED_VERSION_apex-nslu2 ?= "1.5.8"
-PREFERRED_VERSION_apex-nslu2-16mb ?= "1.5.8"
-PREFERRED_VERSION_apmd ?= "3.2.2"
-PREFERRED_VERSION_applewmproto ?= "1.0.3"
-PREFERRED_VERSION_appres ?= "1.0.1"
-PREFERRED_VERSION_appweb ?= "2.0.4"
-PREFERRED_VERSION_apr ?= "1.2.7"
-PREFERRED_VERSION_apr-util ?= "1.2.7"
-PREFERRED_VERSION_apt ?= "0.7.3"
-PREFERRED_VERSION_apt-native ?= "0.7.3"
-PREFERRED_VERSION_argtable ?= "2.7"
-PREFERRED_VERSION_ark3116 ?= "0.4.1"
-PREFERRED_VERSION_arpwatch ?= "2.1a15"
-PREFERRED_VERSION_aspell ?= "0.60.5"
-PREFERRED_VERSION_aspell-native ?= "0.60.5"
-PREFERRED_VERSION_asterisk = "1.4.17"
-PREFERRED_VERSION_asterisk-sounds ?= "1.2.1"
-PREFERRED_VERSION_at ?= "3.1.8"
-PREFERRED_VERSION_atd ?= "0.70"
-PREFERRED_VERSION_atftp ?= "0.7"
-PREFERRED_VERSION_atk ?= "1.20.0"
-PREFERRED_VERSION_atmelwlandriver ?= "3.4.1.0"
-PREFERRED_VERSION_atomic ?= "1.0.1"
-PREFERRED_VERSION_audiofile ?= "0.2.6"
-PREFERRED_VERSION_audioplayer ?= "1.0"
-PREFERRED_VERSION_aumix ?= "2.8"
-PREFERRED_VERSION_autoconf ?= "2.61"
-PREFERRED_VERSION_autoconf-native ?= "2.61"
-PREFERRED_VERSION_autofs ?= "4.1.4"
-PREFERRED_VERSION_automake ?= "1.10.2"
-PREFERRED_VERSION_automake-native ?= "1.10.2"
-PREFERRED_VERSION_avahi ?= "0.6.22"
-PREFERRED_VERSION_avahi-python ?= "0.6.21"
-PREFERRED_VERSION_avahi-ui ?= "0.6.21"
-PREFERRED_VERSION_avetanabt ?= "20060413"
-PREFERRED_VERSION_bacula-client ?= "1.38.11"
-PREFERRED_VERSION_balsa ?= "2.0.17"
-PREFERRED_VERSION_base-files ?= "3.0.14"
-PREFERRED_VERSION_base-passwd ?= "3.5.20"
-PREFERRED_VERSION_bash ?= "3.2"
-PREFERRED_VERSION_bash-completion ?= "20040711"
-PREFERRED_VERSION_bazaar ?= "1.2"
-PREFERRED_VERSION_bb ?= "1.2"
-PREFERRED_VERSION_bc ?= "1.06"
-PREFERRED_VERSION_bdftopcf ?= "1.0.1"
-PREFERRED_VERSION_beecrypt ?= "3.1.0"
-PREFERRED_VERSION_beecrypt-native ?= "3.1.0"
-PREFERRED_VERSION_beep ?= "1.2.2"
-PREFERRED_VERSION_beepmp ?= "0.9.7"
-PREFERRED_VERSION_beforelight ?= "1.0.2"
-PREFERRED_VERSION_benchfft ?= "3.1"
-PREFERRED_VERSION_bigreqsproto ?= "1.0.2"
-PREFERRED_VERSION_bigreqsproto-native ?= "1.0.2"
-PREFERRED_VERSION_billiardz ?= "0.1.4"
-PREFERRED_VERSION_bind ?= "9.3.6"
-PREFERRED_VERSION_bing ?= "1.1.3"
-PREFERRED_VERSION_binutils ?= "2.18"
-PREFERRED_VERSION_binutils-cross ?= "2.18"
-PREFERRED_VERSION_binutils-cross-sdk ?= "2.18"
-PREFERRED_VERSION_bison ?= "2.0"
-PREFERRED_VERSION_bison-native ?= "2.0"
-PREFERRED_VERSION_bitbake ?= "1.8.6"
-PREFERRED_VERSION_bitchx ?= "1.1"
-PREFERRED_VERSION_bluesnarfer ?= "0.1"
-PREFERRED_VERSION_bluez-cups-backend ?= "3.33"
-PREFERRED_VERSION_bluez-dtl1-workaround ?= "1.0"
-PREFERRED_VERSION_bluez-gnome ?= "0.14"
-PREFERRED_VERSION_bluez-gstreamer-plugin ?= "3.33"
-PREFERRED_VERSION_bluez-hcidump ?= "1.42"
-PREFERRED_VERSION_bluez-libs ?= "3.33"
-PREFERRED_VERSION_bluez-utils ?= "3.33"
-PREFERRED_VERSION_bluez-utils-alsa ?= "3.33"
-PREFERRED_VERSION_bmon ?= "2.1.0"
-PREFERRED_VERSION_boa ?= "0.94.13"
-PREFERRED_VERSION_bochs ?= "2.1"
-PREFERRED_VERSION_bogofilter ?= "0.96.0"
-PREFERRED_VERSION_boost ?= "1.33.1"
-PREFERRED_VERSION_boost-asio ?= "0.3.7"
-PREFERRED_VERSION_boost-jam-native ?= "3.1.11"
-PREFERRED_VERSION_bootchart ?= "0.9"
-PREFERRED_VERSION_bootmenu ?= "0.7"
-PREFERRED_VERSION_bootsplash ?= "3.0.7"
-PREFERRED_VERSION_bootsplash-native ?= "3.0.7"
-PREFERRED_VERSION_brickout ?= "2002.06.09"
-PREFERRED_VERSION_brutefir ?= "1.0i"
-PREFERRED_VERSION_bt950-cs ?= "0.1"
-PREFERRED_VERSION_btscanner ?= "2.0"
-PREFERRED_VERSION_btsco ?= "0.42"
-PREFERRED_VERSION_btsco-module ?= "0.42"
-PREFERRED_VERSION_btxml ?= "1.0"
-PREFERRED_VERSION_busybox = "1.13.2"
-PREFERRED_VERSION_busybox-static ?= "1.2.1"
-PREFERRED_VERSION_bvi ?= "1.3.1"
-PREFERRED_VERSION_bwmon ?= "1.3"
-PREFERRED_VERSION_bzflag ?= "1.10.6.20040515"
-PREFERRED_VERSION_bzflag-server ?= "1.10.6.20040515"
-PREFERRED_VERSION_bzip2 ?= "1.0.5"
-PREFERRED_VERSION_cacao-cldc ?= "0.98"
-PREFERRED_VERSION_cacaoh-cldc-native ?= "0.98"
-PREFERRED_VERSION_cairo ?= "1.6.4"
-PREFERRED_VERSION_cairo-directfb ?= "1.4.8"
-PREFERRED_VERSION_cairomm ?= "1.2.4"
-PREFERRED_VERSION_calendar ?= "1.0"
-PREFERRED_VERSION_came ?= "1.7"
-PREFERRED_VERSION_camera-assistant ?= "0.2.0"
-PREFERRED_VERSION_camsource ?= "0.7.0"
-PREFERRED_VERSION_c-ares ?= "1.3.0"
-PREFERRED_VERSION_cbrpager ?= "0.9.14"
-PREFERRED_VERSION_ccache ?= "2.4"
-PREFERRED_VERSION_cccc ?= "3.pre84"
-PREFERRED_VERSION_ccdv ?= "1.0"
-PREFERRED_VERSION_ccdv-native ?= "1.0"
-PREFERRED_VERSION_ccxstream ?= "1.0.15"
-PREFERRED_VERSION_cdparanoia ?= "9.8alpha"
-PREFERRED_VERSION_cdrtools-native ?= "2.01"
-PREFERRED_VERSION_cdstatus ?= "0.96.05"
-PREFERRED_VERSION_cdtool ?= "2.1.8"
-PREFERRED_VERSION_cdump-native ?= "1.0"
-PREFERRED_VERSION_centericq ?= "4.11.0"
-PREFERRED_VERSION_cetools ?= "0.3"
-PREFERRED_VERSION_cetools-native ?= "0.3"
-PREFERRED_VERSION_cflow ?= "2.0"
-PREFERRED_VERSION_cfu1-modules ?= "2.6"
-PREFERRED_VERSION_check ?= "0.9.2"
-PREFERRED_VERSION_checkers ?= "1.0.5ern"
-PREFERRED_VERSION_cherokee ?= "0.5.5"
-PREFERRED_VERSION_cherokee-nossl ?= "0.5.3"
-PREFERRED_VERSION_chillispot ?= "1.0RC3"
-PREFERRED_VERSION_chkhinge ?= "20040706"
-PREFERRED_VERSION_chmlib ?= "0.38"
-PREFERRED_VERSION_chrpath ?= "0.13"
-PREFERRED_VERSION_chrpath-native ?= "0.13"
-PREFERRED_VERSION_ckermit ?= "211"
-PREFERRED_VERSION_clamav ?= "0.91.1"
-PREFERRED_VERSION_clamsmtp ?= "1.8"
-PREFERRED_VERSION_classpath ?= "0.97.2"
-PREFERRED_VERSION_classpath-gtk ?= "0.97.2"
-PREFERRED_VERSION_classpath-minimal ?= "0.97.2"
-PREFERRED_VERSION_classpath-native ?= "0.97.2"
-PREFERRED_VERSION_clearsilver ?= "0.10.3"
-PREFERRED_VERSION_clish ?= "0.7.1"
-PREFERRED_VERSION_cmake-native ?= "2.4.7"
-PREFERRED_VERSION_cms92init ?= "0.1"
-PREFERRED_VERSION_compositeproto ?= "0.4"
-PREFERRED_VERSION_comprec ?= "0.02"
-PREFERRED_VERSION_confuse ?= "2.7"
-PREFERRED_VERSION_confuse-native ?= "2.7"
-PREFERRED_VERSION_connect ?= "0.1"
-PREFERRED_VERSION_connman ?= "0.15"
-PREFERRED_VERSION_conserver ?= "8.1.14"
-PREFERRED_VERSION_console-tools ?= "0.3.2"
-PREFERRED_VERSION_contacts ?= "0.7"
-PREFERRED_VERSION_coreutils ?= "7.1"
-PREFERRED_VERSION_coreutils-native ?= "7.1"
-PREFERRED_VERSION_corkscrew ?= "2.0"
-PREFERRED_VERSION_corsair ?= "0.2.6"
-PREFERRED_VERSION_cpio ?= "2.5"
-PREFERRED_VERSION_cppunit ?= "1.10.2"
-PREFERRED_VERSION_cpuburn ?= "1.4"
-PREFERRED_VERSION_cpufreqd ?= "1.1.2"
-PREFERRED_VERSION_cpusage ?= "0.2"
-PREFERRED_VERSION_cpuspeed ?= "1.1"
-PREFERRED_VERSION_cramfs ?= "1.1"
-PREFERRED_VERSION_cramfs-native ?= "1.1"
-PREFERRED_VERSION_crimsonfields ?= "0.4.8"
-PREFERRED_VERSION_crimsonfields-native ?= "0.4.8"
-PREFERRED_VERSION_cron ?= "3.0pl1"
-PREFERRED_VERSION_cross-linkage ?= "1.0"
-PREFERRED_VERSION_crossword ?= "0.0.3"
-PREFERRED_VERSION_cscope ?= "15.5"
-PREFERRED_VERSION_ctags-native ?= "5.5.4"
-PREFERRED_VERSION_ctorrent ?= "1.3.4"
-PREFERRED_VERSION_ctrlproxy ?= "2.6.2"
-PREFERRED_VERSION_cumulus ?= "1.2.1"
-PREFERRED_VERSION_cups ?= "1.2.12"
-PREFERRED_VERSION_curl ?= "7.18.2"
-PREFERRED_VERSION_curl-native ?= "7.18.2"
-PREFERRED_VERSION_custominput ?= "1.1.0"
-PREFERRED_VERSION_cvs ?= "1.12.9"
-PREFERRED_VERSION_cxcrypt ?= "1.0"
-PREFERRED_VERSION_cyrus-imapd ?= "2.2.12"
-PREFERRED_VERSION_cyrus-sasl ?= "2.1.19"
-PREFERRED_VERSION_damageext ?= "1.0"
-PREFERRED_VERSION_damageproto ?= "1.1.0"
-PREFERRED_VERSION_dash ?= "0.5.2"
-PREFERRED_VERSION_dasher-gpe ?= "0.0cvs20040828"
-PREFERRED_VERSION_dates ?= "0.4.4"
-PREFERRED_VERSION_davfs2 ?= "0.2.8"
-PREFERRED_VERSION_db3 ?= "3.2.9"
-PREFERRED_VERSION_db3-native ?= "3.2.9"
-PREFERRED_VERSION_db ?= "4.3.29"
-PREFERRED_VERSION_dbench ?= "4.0"
-PREFERRED_VERSION_dbh ?= "1.0-18"
-PREFERRED_VERSION_db-native ?= "4.3.29"
-PREFERRED_VERSION_dbus ?= "1.2.1"
-PREFERRED_VERSION_dbus-native ?= "1.2.1"
-PREFERRED_VERSION_dbus-glib ?= "0.76"
-PREFERRED_VERSION_dbus-glib-native ?= "0.76"
-PREFERRED_VERSION_dbus-native ?= "1.0.3"
-PREFERRED_VERSION_dbus-python ?= "0.71"
-PREFERRED_VERSION_dcetest ?= "1.2"
-PREFERRED_VERSION_dcopidl2cpp-native ?= "3.5.4"
-PREFERRED_VERSION_dcopidl-native ?= "3.5.4"
-PREFERRED_VERSION_dcron ?= "2.3.3"
-PREFERRED_VERSION_ddclient ?= "3.6.3"
-PREFERRED_VERSION_debianutils ?= "2.30"
-PREFERRED_VERSION_dejagnu ?= "1.4.4"
-PREFERRED_VERSION_dejagnu-native ?= "1.4.4"
-PREFERRED_VERSION_detect-stylus ?= "0.13"
-PREFERRED_VERSION_device-mapper ?= "1.01.05"
-PREFERRED_VERSION_devimage ?= "0.1"
-PREFERRED_VERSION_devimage-image ?= "1.0"
-PREFERRED_VERSION_devio ?= "1.2"
-PREFERRED_VERSION_devio-native ?= "1.2"
-PREFERRED_VERSION_devlabel ?= "0.48.01"
-PREFERRED_VERSION_devmem2 ?= "1.0"
-PREFERRED_VERSION_devshell ?= "1.0"
-PREFERRED_VERSION_dgen-sdl ?= "1.23"
-PREFERRED_VERSION_dhcdbd ?= "2.0"
-PREFERRED_VERSION_dhclient ?= "2.0pl5"
-PREFERRED_VERSION_dhcp ?= "3.0.2"
-PREFERRED_VERSION_dhcpcd ?= "1.3.22-pl4"
-PREFERRED_VERSION_dhcp-forwarder ?= "0.7"
-PREFERRED_VERSION_didiwiki ?= "0.5"
-PREFERRED_VERSION_diethotplug ?= "0.4"
-PREFERRED_VERSION_diet-x11 ?= "1.1.3"
-PREFERRED_VERSION_diffstat ?= "1.39"
-PREFERRED_VERSION_diffutils ?= "2.8.1"
-PREFERRED_VERSION_dillo ?= "0.8.6"
-PREFERRED_VERSION_dillo2 ?= "0.6.6"
-PREFERRED_VERSION_dircproxy ?= "1.1.0"
-PREFERRED_VERSION_directfb ?= "1.1.0"
-PREFERRED_VERSION_directfb-examples ?= "1.0.0"
-PREFERRED_VERSION_display-brightness ?= "1.0.0"
-PREFERRED_VERSION_distcc ?= "2.18.3"
-PREFERRED_VERSION_djvulibre ?= "3.5.19"
-PREFERRED_VERSION_dmxproto ?= "2.2.2"
-PREFERRED_VERSION_dnsmasq ?= "2.38"
-PREFERRED_VERSION_docbook-utils ?= "0.6.14"
-PREFERRED_VERSION_docbook-utils-native ?= "0.6.14"
-PREFERRED_VERSION_dosbox ?= "0.70"
-PREFERRED_VERSION_dosfstools ?= "2.11"
-PREFERRED_VERSION_dosfstools-native ?= "2.10"
-PREFERRED_VERSION_dpkg ?= "1.13.25"
-PREFERRED_VERSION_dpkg-native ?= "1.13.25"
-PREFERRED_VERSION_driftnet ?= "0.1.6"
-PREFERRED_VERSION_driftnet-nogui ?= "0.1.6"
-PREFERRED_VERSION_dropbear ?= "0.51"
-PREFERRED_VERSION_dsniff ?= "2.3"
-PREFERRED_VERSION_duma ?= "2.5.7"
-PREFERRED_VERSION_dvb-image ?= "1.0"
-PREFERRED_VERSION_dvbtraffic ?= "0.0cvs20060814"
-PREFERRED_VERSION_dviviewer ?= "1.0.2"
-PREFERRED_VERSION_e2fsprogs ?= "1.38"
-PREFERRED_VERSION_e2fsprogs-libs ?= "1.41.2"
-PREFERRED_VERSION_e2fsprogs-libs-native ?= "1.35"
-PREFERRED_VERSION_e2fsprogs-native ?= "1.38"
-PREFERRED_VERSION_e2tools ?= "0.0.16"
-PREFERRED_VERSION_e2tools-native ?= "0.0.16"
-PREFERRED_VERSION_eb ?= "4.3"
-PREFERRED_VERSION_ebtables ?= "2.0.6"
-PREFERRED_VERSION_eciadsl ?= "0.11"
-PREFERRED_VERSION_libecj-bootstrap ?= "3.3"
-PREFERRED_VERSION_editres ?= "1.0.2"
-PREFERRED_VERSION_eds-feed ?= "0.3.2"
-PREFERRED_VERSION_eel ?= "2.12.2"
-PREFERRED_VERSION_ekg ?= "1.6"
-PREFERRED_VERSION_elfkickers ?= "2.0a"
-PREFERRED_VERSION_elfkickers-native ?= "2.0a"
-PREFERRED_VERSION_elftoaout ?= "2.3"
-PREFERRED_VERSION_elftoaout-native ?= "2.3"
-PREFERRED_VERSION_elfutils ?= "0.127"
-PREFERRED_VERSION_elvis ?= "2.2.0"
-PREFERRED_VERSION_elvis-tiny ?= "2.2.0"
-PREFERRED_VERSION_emacs ?= "20060801"
-PREFERRED_VERSION_emacs-x11 ?= "20060801"
-PREFERRED_VERSION_emelfm2 ?= "0.0.8"
-PREFERRED_VERSION_empathy ?= "0.5"
-PREFERRED_VERSION_emul ?= "1.0.5"
-PREFERRED_VERSION_enca ?= "1.9"
-PREFERRED_VERSION_enchant ?= "1.3.0"
-PREFERRED_VERSION_encodings ?= "1.0.2"
-PREFERRED_VERSION_enscript ?= "1.6.4"
-PREFERRED_VERSION_entrance ?= "0.9.0.010"
-PREFERRED_VERSION_epiphany ?= "2.19.6"
-PREFERRED_VERSION_erlang-native ?= "R11B.1"
-PREFERRED_VERSION_erlang ?= "R11B.1"
-PREFERRED_VERSION_esmtp ?= "0.5.1"
-PREFERRED_VERSION_esound ?= "0.2.36"
-PREFERRED_VERSION_espgs ?= "8.15.3"
-PREFERRED_VERSION_etherpuppet ?= "0.2"
-PREFERRED_VERSION_ethload ?= "1.2"
-PREFERRED_VERSION_ettercap ?= "0.6.b"
-PREFERRED_VERSION_e-uae ?= "0.8.28"
-PREFERRED_VERSION_eventlog ?= "0.2.5"
-PREFERRED_VERSION_evieext ?= "1.0.2"
-PREFERRED_VERSION_evince ?= "2.23.4"
-# The only e-wm recipe is a cvs one with SRCDATE floating!
-# PREFERRED_VERSION_e-wm ?= "0.16.999.042"
-PREFERRED_VERSION_exiv2 ?= "0.15"
-PREFERRED_VERSION_exmap-console ?= "0.4.1"
-PREFERRED_VERSION_exml ?= "cvs"
-PREFERRED_VERSION_exo ?= "0.3.2"
-PREFERRED_VERSION_expat ?= "2.0.0"
-PREFERRED_VERSION_expat-native ?= "1.95.7"
-PREFERRED_VERSION_expect ?= "5.44.1"
-PREFERRED_VERSION_ez-ipupdate ?= "3.0.10"
-PREFERRED_VERSION_ezx-gpiotool ?= "1877"
-PREFERRED_VERSION_faac ?= "1.24"
-PREFERRED_VERSION_faad2 ?= "2.0"
-PREFERRED_VERSION_fakechroot ?= "2.5"
-PREFERRED_VERSION_fakechroot-native ?= "2.5"
-PREFERRED_VERSION_fakeconnect ?= "1.2.1"
-PREFERRED_VERSION_fakeroot ?= "1.9.6"
-PREFERRED_VERSION_fakeroot-native ?= "1.9.6"
-PREFERRED_VERSION_fam ?= "2.7.0"
-PREFERRED_VERSION_farsight ?= "0.1.5"
-PREFERRED_VERSION_fastcgi ?= "2.4.0"
-PREFERRED_VERSION_fastjar-native ?= "0.95"
-PREFERRED_VERSION_fbgetty ?= "0.1.698"
-PREFERRED_VERSION_fbgrab ?= "1.0"
-PREFERRED_VERSION_fbpanel ?= "4.3"
-PREFERRED_VERSION_fbreader ?= "0.8.2a"
-PREFERRED_VERSION_fbset ?= "2.1"
-PREFERRED_VERSION_fbui-utils ?= "0.9.14c"
-PREFERRED_VERSION_fbvncserver ?= "0.9.4"
-PREFERRED_VERSION_fbvncserver-kmodule ?= "0.9.4"
-PREFERRED_VERSION_fceu ?= "0.98.13-pre"
-PREFERRED_VERSION_fconfig ?= "20060419"
-PREFERRED_VERSION_fcron ?= "3.0.2"
-PREFERRED_VERSION_feh ?= "1.2.7"
-PREFERRED_VERSION_fetchmail ?= "6.2.5"
-PREFERRED_VERSION_fftw ?= "3.1.2"
-PREFERRED_VERSION_fftwf ?= "3.1.2"
-PREFERRED_VERSION_fftwl ?= "3.1.2"
-PREFERRED_VERSION_fget ?= "1.3.3"
-PREFERRED_VERSION_figment ?= "0.3.5"
-PREFERRED_VERSION_file ?= "4.21"
-PREFERRED_VERSION_file-native ?= "4.21"
-PREFERRED_VERSION_findutils ?= "4.2.29"
-PREFERRED_VERSION_findutils-native ?= "4.2.29"
-PREFERRED_VERSION_firefox ?= "3.0.1"
-PREFERRED_VERSION_fis ?= "1.0"
-PREFERRED_VERSION_fish ?= "1.1.0"
-PREFERRED_VERSION_fixesproto ?= "4.0"
-PREFERRED_VERSION_flac ?= "1.1.2"
-PREFERRED_VERSION_flex ?= "2.5.31"
-PREFERRED_VERSION_flexis-zaurus ?= "1.0.0"
-PREFERRED_VERSION_flex-native ?= "2.5.31"
-PREFERRED_VERSION_flnx ?= "0.18"
-PREFERRED_VERSION_fltk ?= "1.1.7"
-PREFERRED_VERSION_flumotion ?= "0.4.1"
-PREFERRED_VERSION_fontcacheproto ?= "0.1.2"
-PREFERRED_VERSION_fontcacheproto-native ?= "0.1.2"
-PREFERRED_VERSION_fontconfig ?= "2.4.1"
-PREFERRED_VERSION_fontconfig-native ?= "2.3.91"
-PREFERRED_VERSION_fontsproto ?= "2.0.2"
-PREFERRED_VERSION_fontsproto-native ?= "2.0.2"
-PREFERRED_VERSION_fonttosfnt ?= "1.0.3"
-PREFERRED_VERSION_foonas-init ?= "0.10"
-PREFERRED_VERSION_foonas-packages ?= "1.0"
-PREFERRED_VERSION_fortune-mod ?= "1.99.1"
-PREFERRED_VERSION_fpdf ?= "1.53"
-PREFERRED_VERSION_free42-vga ?= "1.4.41"
-PREFERRED_VERSION_freeciv ?= "2.0.8"
-PREFERRED_VERSION_freedoom ?= "0.3"
-PREFERRED_VERSION_freedroid ?= "1.0.2"
-PREFERRED_VERSION_freenote ?= "1.12.0"
-PREFERRED_VERSION_freeze ?= "1.0"
-PREFERRED_VERSION_frodo ?= "4.2"
-PREFERRED_VERSION_froot ?= "0.7.1"
-PREFERRED_VERSION_frotz ?= "2.43"
-PREFERRED_VERSION_frozen-bubble ?= "1.0.0"
-PREFERRED_VERSION_fsi-client ?= "20040803"
-PREFERRED_VERSION_ftdi-eeprom ?= "0.3"
-PREFERRED_VERSION_ftdi-eeprom-native ?= "0.3"
-PREFERRED_VERSION_ftpd-topfield ?= "0.7.4"
-PREFERRED_VERSION_fuse ?= "2.6.5"
-PREFERRED_VERSION_fuse-module ?= "2.6.5"
-PREFERRED_VERSION_fush ?= "0.9.0"
-PREFERRED_VERSION_fxload ?= "0.0.20020411"
-PREFERRED_VERSION_g15daemon ?= "1.2.6a"
-PREFERRED_VERSION_gail ?= "1.20.0"
-PREFERRED_VERSION_gaim ?= "1.5.0"
-PREFERRED_VERSION_gal-2.0 ?= "1.99.11"
-PREFERRED_VERSION_gal-2.1 ?= "2.1.10"
-PREFERRED_VERSION_galago-daemon ?= "0.3.4"
-PREFERRED_VERSION_galculator ?= "1.2.3"
-PREFERRED_VERSION_gallery ?= "1.5.5"
-PREFERRED_VERSION_gamin ?= "0.1.8"
-PREFERRED_VERSION_gammu ?= "1.17.0"
-PREFERRED_VERSION_gawk ?= "3.1.4"
-PREFERRED_VERSION_gawk-native ?= "3.1.4"
-PREFERRED_VERSION_gcalctool ?= "5.7.32"
-PREFERRED_VERSION_gccmakedep ?= "1.0.2"
-PREFERRED_VERSION_gconf ?= "2.6.1"
-PREFERRED_VERSION_gconf-native ?= "2.6.1"
-PREFERRED_VERSION_gd ?= "2.0.33"
-PREFERRED_VERSION_gdado ?= "2.2"
-PREFERRED_VERSION_gdal ?= "1.3.2"
-PREFERRED_VERSION_gdb ?= "6.8"
-PREFERRED_VERSION_gdb-cross ?= "6.8"
-PREFERRED_VERSION_gdb-cross-sdk ?= "6.8"
-PREFERRED_VERSION_gdbm ?= "1.8.3"
-PREFERRED_VERSION_gdbm-native ?= "1.8.3"
-PREFERRED_VERSION_gdk-pixbuf-csource-native ?= "2.12.11"
-PREFERRED_VERSION_gdm ?= "2.14.9"
-PREFERRED_VERSION_geda ?= "20050820"
-PREFERRED_VERSION_geda-gattrib ?= "20050820"
-PREFERRED_VERSION_geda-gschem ?= "20050820"
-PREFERRED_VERSION_geda-gsymcheck ?= "20050820"
-PREFERRED_VERSION_geda-symbols ?= "20050820"
-PREFERRED_VERSION_geda-utils ?= "20050820"
-PREFERRED_VERSION_gemdropx ?= "0.9"
-PREFERRED_VERSION_genboot-native ?= "1.0"
-PREFERRED_VERSION_genext2fs ?= "1.3"
-PREFERRED_VERSION_genext2fs-native ?= "1.3"
-PREFERRED_VERSION_genlist ?= "1.0"
-PREFERRED_VERSION_geode-accessbus5536 ?= "2.6.11"
-PREFERRED_VERSION_geode-aeslx ?= "2.6.11"
-PREFERRED_VERSION_geode-alsa5536 ?= "2.6.11"
-PREFERRED_VERSION_gettext ?= "0.17"
-PREFERRED_VERSION_gettext-native ?= "0.17"
-PREFERRED_VERSION_gftp ?= "2.0.18"
-PREFERRED_VERSION_ghettotooth ?= "1.0"
-PREFERRED_VERSION_giac ?= "0.5.0"
-PREFERRED_VERSION_giblib ?= "1.2.4"
-PREFERRED_VERSION_gif2png ?= "2.5.1"
-PREFERRED_VERSION_gift ?= "0.11.5"
-PREFERRED_VERSION_giftcurs ?= "0.6.2"
-PREFERRED_VERSION_gimp ?= "2.3.19"
-PREFERRED_VERSION_ginspector ?= "20050529"
-PREFERRED_VERSION_git ?= "1.6.0.4"
-PREFERRED_VERSION_git-native ?= "1.6.0.4"
-PREFERRED_VERSION_gizmod ?= "2.3"
-PREFERRED_VERSION_gkrellm ?= "2.2.10"
-PREFERRED_VERSION_glib-1.2 ?= "1.2.10"
-PREFERRED_VERSION_glib-1.2-native ?= "1.2.10"
-PREFERRED_VERSION_glib-2.0 ?= "2.16.4"
-PREFERRED_VERSION_glib-2.0-native ?= "2.16.1"
-PREFERRED_VERSION_glibc ?= "2.6.1"
-PREFERRED_VERSION_glibc-initial ?= "2.6.1"
-PREFERRED_VERSION_glibmm ?= "2.12.10"
-PREFERRED_VERSION_glider ?= "1.0.0"
-PREFERRED_VERSION_gloox ?= "0.8.9"
-PREFERRED_VERSION_glproto ?= "1.4.8"
-PREFERRED_VERSION_glrr ?= "20050529"
-PREFERRED_VERSION_glrr-widgets ?= "20050529"
-PREFERRED_VERSION_glurp ?= "0.11.3"
-PREFERRED_VERSION_gmailfs ?= "0.7.3"
-PREFERRED_VERSION_gmp ?= "4.2.2"
-PREFERRED_VERSION_gmpc ?= "0.13.0"
-PREFERRED_VERSION_gmp-native ?= "4.2.2"
-PREFERRED_VERSION_gnash ?= "0.8.3"
-PREFERRED_VERSION_gnocky ?= "0.0.3"
-PREFERRED_VERSION_gnokii ?= "0.6.14"
-PREFERRED_VERSION_gnomebaker ?= "0.6.0"
-PREFERRED_VERSION_gnome-common ?= "2.20.0"
-PREFERRED_VERSION_gnome-cups-manager ?= "0.31"
-PREFERRED_VERSION_gnome-desktop ?= "2.18.3"
-PREFERRED_VERSION_gnome-doc-utils ?= "0.12.0"
-PREFERRED_VERSION_gnome-games ?= "2.6.1"
-PREFERRED_VERSION_gnome-icon-theme ?= "2.22.0"
-PREFERRED_VERSION_gnome-keyring ?= "2.20.0"
-PREFERRED_VERSION_gnome-menus ?= "2.16.1"
-PREFERRED_VERSION_gnome-mime-data ?= "2.18.0"
-PREFERRED_VERSION_gnome-panel ?= "2.18.1"
-PREFERRED_VERSION_gnome-power ?= "0.0.5"
-PREFERRED_VERSION_gnome-power-manager ?= "2.18.3"
-PREFERRED_VERSION_gnomesword ?= "2.1.2"
-PREFERRED_VERSION_gnome-themes ?= "2.6.2"
-PREFERRED_VERSION_gnome-vfs ?= "2.22.0"
-PREFERRED_VERSION_gnome-vfs-extras ?= "0.99.13"
-PREFERRED_VERSION_gnome-vfs-obexftp ?= "0.4"
-PREFERRED_VERSION_gnuchess ?= "5.05"
-PREFERRED_VERSION_gnumeric ?= "1.8.4"
-PREFERRED_VERSION_gnupg ?= "1.4.2.2"
-PREFERRED_VERSION_gnuplot ?= "4.2.2"
-PREFERRED_VERSION_gnuradio ?= "3.0.4"
-PREFERRED_VERSION_gnutls ?= "1.6.3"
-PREFERRED_VERSION_gob2 ?= "2.0.14"
-PREFERRED_VERSION_gobby ?= "0.4.1"
-PREFERRED_VERSION_goffice ?= "0.2.1"
-PREFERRED_VERSION_gparted ?= "0.3.3"
-PREFERRED_VERSION_gpe-aerial ?= "0.3.0"
-PREFERRED_VERSION_gpe-announce ?= "0.13"
-PREFERRED_VERSION_gpe-applauncher ?= "0.11"
-PREFERRED_VERSION_gpe-appmgr ?= "2.8"
-PREFERRED_VERSION_gpe-autostarter ?= "0.12"
-PREFERRED_VERSION_gpe-beam ?= "0.2.9"
-PREFERRED_VERSION_gpe-bluetooth ?= "0.55"
-PREFERRED_VERSION_gpe-bootsplash ?= "1.15"
-PREFERRED_VERSION_gpe-bootsplash-theme-e ?= "1.0"
-PREFERRED_VERSION_gpe-bootsplash-theme-gpephone ?= "1.0"
-PREFERRED_VERSION_gpe-buttonbox ?= "0.5"
-PREFERRED_VERSION_gpe-calculator ?= "0.2"
-PREFERRED_VERSION_gpe-calendar ?= "0.91"
-PREFERRED_VERSION_gpe-clock ?= "0.25"
-PREFERRED_VERSION_gpe-conf ?= "0.2.6"
-PREFERRED_VERSION_gpe-confd ?= "0.16"
-PREFERRED_VERSION_gpe-contacts ?= "0.47"
-PREFERRED_VERSION_gpe-contacts-hildon ?= "0.42"
-PREFERRED_VERSION_gpe-dm ?= "0.51"
-PREFERRED_VERSION_gpe-edit ?= "0.40"
-PREFERRED_VERSION_gpe-expenses ?= "0.0.6"
-PREFERRED_VERSION_gpe-filemanager ?= "0.30"
-PREFERRED_VERSION_gpe-fsi ?= "0.1"
-PREFERRED_VERSION_gpe-go ?= "0.05"
-PREFERRED_VERSION_gpe-helpviewer ?= "1.0"
-PREFERRED_VERSION_gpe-icons ?= "0.25"
-PREFERRED_VERSION_gpe-irc ?= "0.08"
-PREFERRED_VERSION_gpe-keylock ?= "0.12"
-PREFERRED_VERSION_gpe-life ?= "0.2"
-PREFERRED_VERSION_gpe-lights ?= "0.13"
-PREFERRED_VERSION_gpe-login ?= "0.91"
-PREFERRED_VERSION_gpe-mini-browser ?= "0.21"
-PREFERRED_VERSION_gpe-mini-browser-hildon ?= "0.17"
-PREFERRED_VERSION_gpe-mininet ?= "0.7"
-PREFERRED_VERSION_gpe-mixer ?= "0.42"
-PREFERRED_VERSION_gpe-nmf ?= "0.22"
-PREFERRED_VERSION_gpe-othello ?= "0.2-1"
-PREFERRED_VERSION_gpe-ownerinfo ?= "0.28"
-PREFERRED_VERSION_gpe-package ?= "0.4"
-PREFERRED_VERSION_gpe-phonepanel ?= "0.9"
-PREFERRED_VERSION_gpe-plucker ?= "0.4"
-PREFERRED_VERSION_gpe-question ?= "0.04"
-PREFERRED_VERSION_gperf ?= "3.0.3"
-PREFERRED_VERSION_gperf-native ?= "3.0.3"
-PREFERRED_VERSION_gperiodic ?= "1.3.3"
-PREFERRED_VERSION_gpe-scap ?= "1.3"
-PREFERRED_VERSION_gpe-session-scripts ?= "0.67"
-PREFERRED_VERSION_gpe-session-scripts-phone ?= "0.67"
-PREFERRED_VERSION_gpe-shield ?= "0.9"
-PREFERRED_VERSION_gpe-sketchbook ?= "0.2.9"
-PREFERRED_VERSION_gpe-snes ?= "0.2"
-PREFERRED_VERSION_gpe-soundbite ?= "1.0.6"
-PREFERRED_VERSION_gpe-soundserver ?= "0.4-1"
-PREFERRED_VERSION_gpe-su ?= "0.19"
-PREFERRED_VERSION_gpesyncd ?= "2.0"
-PREFERRED_VERSION_gpe-synctool ?= "0.2"
-PREFERRED_VERSION_gpe-taskmanager ?= "0.20"
-PREFERRED_VERSION_gpe-terminal ?= "1.1"
-PREFERRED_VERSION_gpe-tetris ?= "0.6-4"
-PREFERRED_VERSION_gpe-theme-clearlooks ?= "0.3"
-PREFERRED_VERSION_gpe-theme-e17 ?= "0.1"
-PREFERRED_VERSION_gpe-theme-foxbox ?= "0.1"
-PREFERRED_VERSION_gpe-theme-industrial ?= "0.2"
-PREFERRED_VERSION_gpe-today ?= "0.11"
-PREFERRED_VERSION_gpe-todo ?= "0.56"
-PREFERRED_VERSION_gpe-todo-hildon ?= "0.55"
-PREFERRED_VERSION_gpe-watch ?= "0.10"
-PREFERRED_VERSION_gpe-what ?= "0.43"
-PREFERRED_VERSION_gpe-windowlist ?= "0.1"
-PREFERRED_VERSION_gpgme ?= "1.1.4"
-PREFERRED_VERSION_gphoto2 ?= "2.4.0"
-PREFERRED_VERSION_gpicview ?= "0.1.5"
-PREFERRED_VERSION_gpm ?= "1.20.1"
-PREFERRED_VERSION_gpp ?= "2.21"
-PREFERRED_VERSION_gpsbabel ?= "1.3.3"
-PREFERRED_VERSION_gpsd ?= "2.38"
-PREFERRED_VERSION_gpsdrive ?= "2.10pre4"
-PREFERRED_VERSION_gpstk ?= "1.2"
-PREFERRED_VERSION_gqview ?= "2.1.1"
-PREFERRED_VERSION_granule ?= "1.2.4"
-PREFERRED_VERSION_grass ?= "6.2.1"
-PREFERRED_VERSION_grep ?= "2.5.1"
-PREFERRED_VERSION_grep-native ?= "2.5.1"
-PREFERRED_VERSION_grip ?= "3.2.0"
-PREFERRED_VERSION_groff ?= "1.19.2"
-PREFERRED_VERSION_gs ?= "8.16"
-PREFERRED_VERSION_gsl ?= "1.4"
-PREFERRED_VERSION_gsmmux ?= "alpha-2"
-PREFERRED_VERSION_gsoap ?= "2.7.7"
-PREFERRED_VERSION_gsoap-native ?= "2.7.7"
-PREFERRED_VERSION_gsoko ?= "0.4.2-gpe6"
-PREFERRED_VERSION_gspcav1 ?= "20070110"
-PREFERRED_VERSION_gst-ffmpeg ?= "0.10.6"
-PREFERRED_VERSION_gst-meta-base ?= "0.10"
-PREFERRED_VERSION_gst-plugin-pulse ?= "0.9.7"
-PREFERRED_VERSION_gst-plugins-bad ?= "0.10.6"
-PREFERRED_VERSION_gst-plugins-base ?= "0.10.22"
-PREFERRED_VERSION_gst-plugins-farsight ?= "0.10.1"
-PREFERRED_VERSION_gst-plugins-good ?= "0.10.13"
-PREFERRED_VERSION_gst-plugins-ugly ?= "0.10.10"
-PREFERRED_VERSION_gst-pulse = "0.9.7"
-PREFERRED_VERSION_gstreamer ?= "0.10.22"
-PREFERRED_VERSION_gthumb ?= "2.6.9"
-PREFERRED_VERSION_gtk+ ?= "2.12.11"
-PREFERRED_VERSION_gtk2-ssh-askpass ?= "0.3"
-PREFERRED_VERSION_gtk2-theme-angelistic ?= "0.3"
-PREFERRED_VERSION_gtk-clearlooks-engine ?= "0.6.2"
-PREFERRED_VERSION_gtk-doc ?= "1.0"
-PREFERRED_VERSION_gtk-doc-native ?= "1.0"
-PREFERRED_VERSION_gtk-engines ?= "2.7.4"
-PREFERRED_VERSION_gtkhtml-2.0 ?= "2.6.3"
-PREFERRED_VERSION_gtkhtml-3.0 ?= "3.0.10"
-PREFERRED_VERSION_gtkhtml-3.1 ?= "3.1.16"
-PREFERRED_VERSION_gtkhtml-3.6 ?= "3.6.2"
-PREFERRED_VERSION_gtkhtml-3.8 ?= "3.8.2"
-PREFERRED_VERSION_gtkimageview ?= "1.3.0"
-PREFERRED_VERSION_gtk-industrial-engine ?= "0.2.46.0"
-PREFERRED_VERSION_gtkmathview ?= "0.7.6"
-PREFERRED_VERSION_gtkmm ?= "2.10.10"
-PREFERRED_VERSION_gtk-sato-engine ?= "0.1"
-PREFERRED_VERSION_gtk-sharp ?= "2.10.2"
-PREFERRED_VERSION_gtk-smooth-engine ?= "0.5.8"
-PREFERRED_VERSION_gtksourceview1 ?= "1.7.2"
-PREFERRED_VERSION_gtkterm2 ?= "0.2.3"
-PREFERRED_VERSION_gtk-xfce-engine ?= "2.4.1"
-PREFERRED_VERSION_gtracer ?= "0.0.10"
-PREFERRED_VERSION_guichan ?= "0.7.1"
-PREFERRED_VERSION_guile ?= "1.6.4"
-PREFERRED_VERSION_guile-native ?= "1.8.2"
-PREFERRED_VERSION_gutenprint ?= "5.1.3"
-PREFERRED_VERSION_gutenprint-native ?= "5.1.3"
-PREFERRED_VERSION_gvim ?= "7.0"
-PREFERRED_VERSION_gweled ?= "0.5"
-PREFERRED_VERSION_gxine ?= "0.4.1enhanced"
-PREFERRED_VERSION_gzip ?= "1.3.5"
-PREFERRED_VERSION_hal ?= "0.5.11"
-PREFERRED_VERSION_hal-info ?= "20080508"
-PREFERRED_VERSION_haserl ?= "0.8.0"
-PREFERRED_VERSION_havp ?= "0.86"
-PREFERRED_VERSION_hdparm ?= "6.9"
-PREFERRED_VERSION_helloworld ?= "1.0.0"
-PREFERRED_VERSION_hexatrolic ?= "1.0beta3"
-PREFERRED_VERSION_hfsplusutils ?= "1.0.4-4"
-PREFERRED_VERSION_hfsutils ?= "3.2.6"
-PREFERRED_VERSION_hibernate-script ?= "1.12"
-PREFERRED_VERSION_hicolor-icon-theme ?= "0.10"
-PREFERRED_VERSION_hiker ?= "0.9.1"
-PREFERRED_VERSION_hildon-base-lib ?= "0.11.1"
-PREFERRED_VERSION_hildon-control-panel ?= "0.9.1-1.2"
-PREFERRED_VERSION_hildon-fm ?= "0.9.1-2"
-PREFERRED_VERSION_hildon-home ?= "0.8.20-2"
-PREFERRED_VERSION_hildon-initscripts ?= "0.8.14-1"
-PREFERRED_VERSION_hildon-lgpl ?= "0.12.1"
-PREFERRED_VERSION_hildon-libs ?= "0.15.1"
-PREFERRED_VERSION_hildon-navigator ?= "0.9.6-2"
-PREFERRED_VERSION_hildon-status-bar ?= "0.8.11-1"
-PREFERRED_VERSION_hildon-thumbnail ?= "0.11"
-PREFERRED_VERSION_hostap-conf ?= "1.0"
-PREFERRED_VERSION_hostap-daemon ?= "0.4.4"
-PREFERRED_VERSION_hostap-utils ?= "0.4.7"
-PREFERRED_VERSION_hotplug-dbus ?= "0.9"
-PREFERRED_VERSION_hotplug-ng ?= "002"
-PREFERRED_VERSION_hotplug-qcop ?= "cvs"
-PREFERRED_VERSION_howl ?= "1.0.0"
-PREFERRED_VERSION_hsetroot ?= "1.0.2"
-PREFERRED_VERSION_htb-init ?= "0.8.5"
-PREFERRED_VERSION_httppc ?= "0.8.5"
-PREFERRED_VERSION_htun ?= "0.9.5"
-PREFERRED_VERSION_hvsc ?= "45"
-PREFERRED_VERSION_hwdata ?= "0.191"
-PREFERRED_VERSION_hydra ?= "4.5"
-PREFERRED_VERSION_iaimaster ?= "0.5"
-PREFERRED_VERSION_iana-etc ?= "2.20"
-PREFERRED_VERSION_ica-bin ?= "8.0"
-PREFERRED_VERSION_iceauth ?= "1.0.2"
-PREFERRED_VERSION_icebloxx ?= "1.0.0"
-PREFERRED_VERSION_icecc-create-env ?= "0.1"
-PREFERRED_VERSION_icewm ?= "1.2.30"
-PREFERRED_VERSION_icmpquery ?= "1.03"
-PREFERRED_VERSION_ico ?= "1.0.2"
-PREFERRED_VERSION_icu ?= "3.6"
-PREFERRED_VERSION_icu-native ?= "3.6"
-PREFERRED_VERSION_id3lib ?= "3.8.3"
-PREFERRED_VERSION_ifplugd ?= "0.25"
-PREFERRED_VERSION_ifupdown ?= "0.6.8"
-PREFERRED_VERSION_iksemel ?= "1.2"
-PREFERRED_VERSION_imagemagick ?= "6.3.5-10"
-PREFERRED_VERSION_imake ?= "1.0.2"
-PREFERRED_VERSION_imlib ?= "1.9.15"
-PREFERRED_VERSION_imlib2 ?= "1.4.0.002"
-PREFERRED_VERSION_imposter ?= "0.3"
-PREFERRED_VERSION_inetutils ?= "1.4.2"
-PREFERRED_VERSION_initscripts ?= "1.0"
-PREFERRED_VERSION_initscripts-openprotium ?= "1.0"
-PREFERRED_VERSION_initscripts-slugos ?= "1.0"
-PREFERRED_VERSION_inkscape ?= "0.43"
-PREFERRED_VERSION_inkwp ?= "0.1.1"
-PREFERRED_VERSION_inotify-tools ?= "2.1"
-PREFERRED_VERSION_inputproto ?= "1.4.4"
-PREFERRED_VERSION_insttrain ?= "1.0.5"
-PREFERRED_VERSION_interbench ?= "0.30"
-PREFERRED_VERSION_intercom ?= "0.15"
-PREFERRED_VERSION_intltool ?= "0.35.5"
-PREFERRED_VERSION_intltool-native ?= "0.35.5"
-PREFERRED_VERSION_iozone3 ?= "263"
-PREFERRED_VERSION_ipaq-sleep ?= "0.9"
-PREFERRED_VERSION_ipatience ?= "0.1"
-PREFERRED_VERSION_iperf ?= "2.0.2"
-PREFERRED_VERSION_ipkg ?= "0.99.163"
-PREFERRED_VERSION_ipkg-collateral ?= "1.0"
-PREFERRED_VERSION_ipkg-native ?= "0.99.163"
-PREFERRED_VERSION_iproute2 ?= "2.6.22"
-PREFERRED_VERSION_ipsec-tools ?= "0.6.7"
-PREFERRED_VERSION_iptables ?= "1.3.8"
-PREFERRED_VERSION_iptstate ?= "2.2.1"
-PREFERRED_VERSION_iputils ?= "20020927"
-PREFERRED_VERSION_iqnotes ?= "2.0.99-2.1.0rc1"
-PREFERRED_VERSION_ircp ?= "0.3"
-PREFERRED_VERSION_irdadump ?= "0.9.16"
-PREFERRED_VERSION_irda-utils ?= "0.9.16"
-PREFERRED_VERSION_irk-belkin ?= "0.11"
-PREFERRED_VERSION_irk-targus ?= "0.11.0"
-PREFERRED_VERSION_irssi ?= "0.8.10"
-PREFERRED_VERSION_iso-codes ?= "1.4"
-PREFERRED_VERSION_ixp4xx-npe-native ?= "2.4"
-PREFERRED_VERSION_jack ?= "0.103.0"
-PREFERRED_VERSION_jamvm ?= "1.5.2"
-PREFERRED_VERSION_jards ?= "1.0"
-PREFERRED_VERSION_jhead ?= "2.6.0"
-PREFERRED_VERSION_jikes ?= "1.22"
-PREFERRED_VERSION_jikes-native ?= "1.21"
-PREFERRED_VERSION_joe ?= "3.1"
-PREFERRED_VERSION_js ?= "1.5"
-PREFERRED_VERSION_juce ?= "1.29"
-PREFERRED_VERSION_justreader ?= "2.0k"
-PREFERRED_VERSION_kaffe-gtk ?= "1.1.5"
-PREFERRED_VERSION_kaffeh-native ?= "1.1.5"
-PREFERRED_VERSION_kakasi ?= "2.3.4"
-PREFERRED_VERSION_kakasi-native ?= "2.3.4"
-PREFERRED_VERSION_kanatest ?= "0.3.6"
-PREFERRED_VERSION_kazehakase ?= "0.4.7"
-PREFERRED_VERSION_kbd ?= "1.12"
-PREFERRED_VERSION_kbproto ?= "1.0.3"
-PREFERRED_VERSION_kdepimpi ?= "2.2.7"
-PREFERRED_VERSION_kernbench ?= "0.41"
-PREFERRED_VERSION_kernel-module-wlags49-h1-cs ?= "718"
-PREFERRED_VERSION_kernel-module-wlags49-h2-cs ?= "718"
-PREFERRED_VERSION_kexec-tools ?= "1.101"
-PREFERRED_VERSION_keylaunch ?= "2.0.10"
-PREFERRED_VERSION_keymap-locales ?= "1.0"
-PREFERRED_VERSION_keymaps ?= "1.0"
-PREFERRED_VERSION_keyring ?= "0.6.8"
-PREFERRED_VERSION_kf ?= "0.5.4.1"
-PREFERRED_VERSION_kismet ?= "2007-10-R1"
-PREFERRED_VERSION_klimt ?= "0.6.1"
-PREFERRED_VERSION_knights ?= "1.14"
-PREFERRED_VERSION_konqueror-embedded ?= "20070212"
-PREFERRED_VERSION_kpengine ?= "0.1"
-PREFERRED_VERSION_kphonepi ?= "1.0.0"
-PREFERRED_VERSION_kstars-embedded ?= "0.8.5"
-PREFERRED_VERSION_ksymoops ?= "2.4.9"
-PREFERRED_VERSION_ktimetrackerpi ?= "0.9.7"
-PREFERRED_VERSION_kxml2 ?= "2.3.0"
-PREFERRED_VERSION_labyrinth ?= "0.7"
-PREFERRED_VERSION_lame ?= "3.96.1"
-PREFERRED_VERSION_lbreakout2 ?= "2.6beta"
-PREFERRED_VERSION_lcdproc ?= "0.5.1"
-PREFERRED_VERSION_lcms ?= "1.15"
-PREFERRED_VERSION_leafpad ?= "0.8.9"
-PREFERRED_VERSION_led ?= "0.0cvs20060814"
-PREFERRED_VERSION_lemon ?= "3.3.5"
-PREFERRED_VERSION_lemon-native ?= "3.3.5"
-PREFERRED_VERSION_less ?= "406"
-PREFERRED_VERSION_lessertunjo ?= "0.0.10"
-PREFERRED_VERSION_lftp ?= "3.5.1"
-PREFERRED_VERSION_liba52 ?= "0.7.4"
-PREFERRED_VERSION_libaal ?= "1.0.4"
-PREFERRED_VERSION_libabenabler ?= "0.1"
-PREFERRED_VERSION_libabenabler2 ?= "1.0"
-PREFERRED_VERSION_libaio ?= "0.3.106"
-PREFERRED_VERSION_libaio-oracle ?= "0.3.0"
-PREFERRED_VERSION_libalgorithm-diff-perl ?= "1.1902"
-PREFERRED_VERSION_libalgorithm-diff-perl-native ?= "1.1902"
-PREFERRED_VERSION_libao ?= "0.8.6"
-PREFERRED_VERSION_libao-alsa ?= "0.8.6"
-PREFERRED_VERSION_libao-plugin-alsa ?= "0.8.6"
-PREFERRED_VERSION_libapplewm ?= "1.0.0"
-PREFERRED_VERSION_libarchive-tar-perl ?= "1.30"
-PREFERRED_VERSION_libarchive-tar-perl-native ?= "1.30"
-PREFERRED_VERSION_libarena ?= "0.2"
-PREFERRED_VERSION_libart-lgpl ?= "2.3.19"
-PREFERRED_VERSION_libassa ?= "3.4.2"
-PREFERRED_VERSION_libassuan ?= "0.6.9"
-PREFERRED_VERSION_libatomics-ops ?= "1.2"
-PREFERRED_VERSION_libbedic ?= "1.0"
-PREFERRED_VERSION_libbonobo ?= "2.22.0"
-PREFERRED_VERSION_libbonoboui ?= "2.18.0"
-PREFERRED_VERSION_libcache-cache-perl ?= "1.05"
-PREFERRED_VERSION_libcache-cache-perl-native ?= "1.05"
-PREFERRED_VERSION_libcalenabler ?= "1.0"
-PREFERRED_VERSION_libcap ?= "1.10"
-PREFERRED_VERSION_libccaudio2 ?= "0.9.0"
-PREFERRED_VERSION_libcdaudio ?= "0.99.12p2"
-PREFERRED_VERSION_libcgicc ?= "3.2.3"
-PREFERRED_VERSION_libchenabler ?= "0.1"
-PREFERRED_VERSION_libclass-container-perl ?= "0.12"
-PREFERRED_VERSION_libclass-container-perl-native ?= "0.12"
-PREFERRED_VERSION_libclass-data-inheritable-perl ?= "0.06"
-PREFERRED_VERSION_libclass-data-inheritable-perl-native ?= "0.06"
-PREFERRED_VERSION_libcompress-zlib-perl ?= "1.42"
-PREFERRED_VERSION_libcompress-zlib-perl-native ?= "1.42"
-PREFERRED_VERSION_libcontactsdb ?= "0.5"
-PREFERRED_VERSION_libcroco ?= "0.6.1"
-PREFERRED_VERSION_libcwd ?= "0.99.47"
-PREFERRED_VERSION_libdaemon ?= "0.13"
-PREFERRED_VERSION_libdata-optlist-perl ?= "0.101"
-PREFERRED_VERSION_libdata-optlist-perl-native ?= "0.101"
-PREFERRED_VERSION_libdbi ?= "0.7.2"
-PREFERRED_VERSION_libdbi-drivers ?= "0.7.1"
-PREFERRED_VERSION_libddmpeg ?= "1.5"
-PREFERRED_VERSION_libdes ?= "4.01"
-PREFERRED_VERSION_libdevel-stacktrace-perl ?= "1.13"
-PREFERRED_VERSION_libdevel-stacktrace-perl-native ?= "1.13"
-PREFERRED_VERSION_libdictionary ?= "1.0"
-PREFERRED_VERSION_libdigest-sha1-perl ?= "2.11"
-PREFERRED_VERSION_libdigest-sha1-perl-native ?= "2.11"
-PREFERRED_VERSION_libdisplaymigration ?= "0.99"
-PREFERRED_VERSION_libdmx ?= "1.0.2"
-PREFERRED_VERSION_libdotdesktop ?= "0.11"
-PREFERRED_VERSION_libdrm ?= "2.3.0"
-PREFERRED_VERSION_libdvb ?= "0.5.5.1"
-PREFERRED_VERSION_libdvdnav ?= "0.1.10"
-PREFERRED_VERSION_libdvdread ?= "0.9.6"
-PREFERRED_VERSION_libedit ?= "20050118"
-PREFERRED_VERSION_libeina ?= "0.96.7"
-PREFERRED_VERSION_libelf ?= "0.8.6"
-PREFERRED_VERSION_liberror-perl ?= "0.17004"
-PREFERRED_VERSION_liberror-perl-native ?= "0.17004"
-PREFERRED_VERSION_libesmtp ?= "1.0.4"
-PREFERRED_VERSION_libevent ?= "1.1a"
-PREFERRED_VERSION_libeventdb ?= "0.90"
-PREFERRED_VERSION_libevnet ?= "0.3.1"
-PREFERRED_VERSION_libexception-class-perl ?= "1.23"
-PREFERRED_VERSION_libexception-class-perl-native ?= "1.23"
-PREFERRED_VERSION_libexif ?= "0.6.13"
-PREFERRED_VERSION_libextutils-cbuilder-perl ?= "0.18"
-PREFERRED_VERSION_libextutils-cbuilder-perl-native ?= "0.18"
-PREFERRED_VERSION_libextutils-depends-perl ?= "0.205"
-PREFERRED_VERSION_libextutils-depends-perl-native ?= "0.205"
-PREFERRED_VERSION_libextutils-parsexs-perl ?= "2.16"
-PREFERRED_VERSION_libextutils-parsexs-perl-native ?= "2.16"
-PREFERRED_VERSION_libextutils-pkgconfig-perl ?= "1.07"
-PREFERRED_VERSION_libextutils-pkgconfig-perl-native ?= "1.07"
-PREFERRED_VERSION_libflv ?= "0.2"
-PREFERRED_VERSION_libfontenc ?= "1.0.4"
-PREFERRED_VERSION_libfontenc-native ?= "1.0.4"
-PREFERRED_VERSION_libfribidi ?= "0.10.4"
-PREFERRED_VERSION_libfs ?= "1.0.0"
-PREFERRED_VERSION_libftdi ?= "0.18"
-PREFERRED_VERSION_libftdi-native ?= "0.18"
-PREFERRED_VERSION_libg15 ?= "1.2.1"
-PREFERRED_VERSION_libg15render ?= "1.2"
-PREFERRED_VERSION_libgalago ?= "0.3.3"
-PREFERRED_VERSION_libgc ?= "6.7"
-PREFERRED_VERSION_libgcrypt ?= "1.4.0"
-PREFERRED_VERSION_libgeda ?= "20050820"
-PREFERRED_VERSION_libgemwidget ?= "1.0"
-PREFERRED_VERSION_libglade ?= "2.6.2"
-PREFERRED_VERSION_libglademm ?= "2.4.1"
-PREFERRED_VERSION_libgmime ?= "2.1.7"
-PREFERRED_VERSION_libgnome ?= "2.18.0"
-PREFERRED_VERSION_libgnomecanvas ?= "2.20.0"
-PREFERRED_VERSION_libgnomecups ?= "0.2.2"
-PREFERRED_VERSION_libgnomeprint ?= "2.8.2"
-PREFERRED_VERSION_libgnomeprintui ?= "2.8.2"
-PREFERRED_VERSION_libgnomeui ?= "2.18.1"
-PREFERRED_VERSION_libgpelaunch ?= "0.14"
-PREFERRED_VERSION_libgpephone ?= "0.4"
-PREFERRED_VERSION_libgpepimc ?= "0.9"
-PREFERRED_VERSION_libgpepimc-hildon ?= "0.5"
-PREFERRED_VERSION_libgpevtype ?= "0.50"
-PREFERRED_VERSION_libgpewidget ?= "0.117"
-PREFERRED_VERSION_libgpewidget-hildon ?= "0.102"
-PREFERRED_VERSION_libgpg-error ?= "1.4"
-PREFERRED_VERSION_libgphoto2 ?= "2.4.0"
-PREFERRED_VERSION_libgpsbt ?= "0.1"
-PREFERRED_VERSION_libgpsmgr ?= "0.1"
-PREFERRED_VERSION_libgsf ?= "1.14.2"
-PREFERRED_VERSION_libgsm ?= "1.0.10"
-PREFERRED_VERSION_libgtkinput ?= "0.3"
-PREFERRED_VERSION_libgtkstylus ?= "0.3"
-PREFERRED_VERSION_libhal-nm ?= "0.0.2"
-PREFERRED_VERSION_libhandoff ?= "0.1"
-PREFERRED_VERSION_libhangul ?= "0.0.4"
-PREFERRED_VERSION_libhildonfm ?= "1.9.41"
-PREFERRED_VERSION_libhildonhelp ?= "1.9.1"
-PREFERRED_VERSION_libhildonmime ?= "1.9.5"
-PREFERRED_VERSION_libhtml-mason-perl ?= "1.35"
-PREFERRED_VERSION_libiac ?= "1.0"
-PREFERRED_VERSION_libice ?= "1.0.4"
-PREFERRED_VERSION_libiconv ?= "1.11"
-PREFERRED_VERSION_libid3 ?= "1.1"
-PREFERRED_VERSION_libidl ?= "0.8.10"
-PREFERRED_VERSION_libidl-native ?= "0.8.10"
-PREFERRED_VERSION_libidn ?= "0.5.19"
-PREFERRED_VERSION_libim ?= "0.2"
-PREFERRED_VERSION_libintl-perl ?= "1.16"
-PREFERRED_VERSION_libintl-perl-native ?= "1.16"
-PREFERRED_VERSION_libio-zlib-perl ?= "1.04"
-PREFERRED_VERSION_libio-zlib-perl-native ?= "1.04"
-PREFERRED_VERSION_libjingle-tapioca ?= "0.3.10"
-PREFERRED_VERSION_liblbxutil ?= "1.0.1"
-PREFERRED_VERSION_liblipsevent ?= "0.1"
-PREFERRED_VERSION_liblocale-gettext-perl ?= "1.05"
-PREFERRED_VERSION_liblocale-gettext-perl-native ?= "1.05"
-PREFERRED_VERSION_liblockfile ?= "1.06"
-PREFERRED_VERSION_liblog-dispatch-perl ?= "2.13"
-PREFERRED_VERSION_liblog-dispatch-perl-native ?= "2.13"
-PREFERRED_VERSION_liblog-log4perl-perl ?= "1.06"
-PREFERRED_VERSION_liblog-log4perl-perl-native ?= "1.06"
-PREFERRED_VERSION_libmad ?= "0.15.1b"
-PREFERRED_VERSION_libmail-sendmail-perl ?= "0.79"
-PREFERRED_VERSION_libmailwrapper ?= "1.2.3"
-PREFERRED_VERSION_libmatchbox ?= "1.9"
-PREFERRED_VERSION_libmath-bigint-gmp-perl ?= "1.18"
-PREFERRED_VERSION_libmikmod ?= "3.2.0-beta2"
-PREFERRED_VERSION_libmimedir ?= "0.4.2"
-PREFERRED_VERSION_libmng ?= "1.0.8"
-PREFERRED_VERSION_libmodplug ?= "0.8"
-PREFERRED_VERSION_libmodule-build-perl ?= "0.2805"
-PREFERRED_VERSION_libmodule-build-perl-native ?= "0.2805"
-PREFERRED_VERSION_libmrss ?= "0.17.2"
-PREFERRED_VERSION_libmsgenabler ?= "1.0"
-PREFERRED_VERSION_libmusicbrainz ?= "2.1.4"
-PREFERRED_VERSION_libnet ?= "1.1.2.1"
-PREFERRED_VERSION_libnetfilter-queue ?= "0.0.13"
-PREFERRED_VERSION_libnet-ip-perl ?= "1.25"
-PREFERRED_VERSION_libnet-ip-perl-native ?= "1.25"
-PREFERRED_VERSION_libnetserver-generic-perl ?= "1.03"
-PREFERRED_VERSION_libnfnetlink ?= "0.0.30"
-PREFERRED_VERSION_libnids ?= "1.18"
-PREFERRED_VERSION_libnotify ?= "0.4.4"
-PREFERRED_VERSION_libnss-mdns ?= "0.9"
-PREFERRED_VERSION_libnxml ?= "0.16"
-PREFERRED_VERSION_libogg ?= "1.1.3"
-PREFERRED_VERSION_liboil ?= "0.3.15"
-PREFERRED_VERSION_libol ?= "0.3.18"
-PREFERRED_VERSION_liboldx ?= "1.0.1"
-PREFERRED_VERSION_liboop ?= "1.0"
-PREFERRED_VERSION_libopenraw ?= "0.0.2"
-PREFERRED_VERSION_libopensync ?= "0.22"
-PREFERRED_VERSION_libopensync-plugin-evo2-sync ?= "0.22"
-PREFERRED_VERSION_libopensync-plugin-file ?= "0.18"
-PREFERRED_VERSION_libopensync-plugin-file-sync ?= "0.22"
-PREFERRED_VERSION_libopensync-plugin-gpe ?= "0.18"
-PREFERRED_VERSION_libopensync-plugin-irmc ?= "0.18"
-PREFERRED_VERSION_libopensync-plugin-irmc-sync ?= "0.22"
-PREFERRED_VERSION_libosso ?= "1.20"
-PREFERRED_VERSION_libosso-gsf ?= "1.11.10.4"
-PREFERRED_VERSION_libosso-help ?= "2.1.2"
-PREFERRED_VERSION_libpam ?= "0.79"
-PREFERRED_VERSION_libparams-util-perl ?= "0.20"
-PREFERRED_VERSION_libparams-util-perl-native ?= "0.20"
-PREFERRED_VERSION_libparams-validate-perl ?= "0.86"
-PREFERRED_VERSION_libparams-validate-perl-native ?= "0.86"
-PREFERRED_VERSION_libpcap ?= "0.9.8"
-PREFERRED_VERSION_libpcl ?= "1.4"
-PREFERRED_VERSION_libpcre ?= "7.6"
-PREFERRED_VERSION_libpcre-native ?= "7.6"
-PREFERRED_VERSION_libperl6-junction-perl ?= "1.10"
-PREFERRED_VERSION_libpng ?= "1.2.20"
-PREFERRED_VERSION_libpng-native ?= "1.2.20"
-PREFERRED_VERSION_libpthread-stubs ?= "0.1"
-PREFERRED_VERSION_libqanava ?= "0.0.7"
-PREFERRED_VERSION_libqtaux2 ?= "1.2.3"
-PREFERRED_VERSION_librcf ?= "0.4"
-PREFERRED_VERSION_librecord ?= "0.1"
-PREFERRED_VERSION_librecord2 ?= "0.1"
-PREFERRED_VERSION_librewrite ?= "0.1"
-PREFERRED_VERSION_librsvg ?= "2.16.1"
-PREFERRED_VERSION_librsync ?= "0.9.7"
-PREFERRED_VERSION_librtaudio ?= "3.0.1"
-PREFERRED_VERSION_libsamplerate0 ?= "0.1.2"
-PREFERRED_VERSION_libschedule ?= "0.17"
-PREFERRED_VERSION_libsdl-directfb ?= "1.2.9"
-PREFERRED_VERSION_libsdl-gfx ?= "2.0.11"
-PREFERRED_VERSION_libsdl-image ?= "1.2.6"
-PREFERRED_VERSION_libsdl-mixer ?= "1.2.6"
-PREFERRED_VERSION_libsdl-native ?= "1.2.11"
-PREFERRED_VERSION_libsdl-net ?= "1.2.7"
-PREFERRED_VERSION_libsdl-ttf ?= "2.0.3"
-PREFERRED_VERSION_libsdl-ttf-native ?= "2.0.3"
-PREFERRED_VERSION_libsdl-x11 ?= "1.2.11"
-PREFERRED_VERSION_libsettings ?= "0.3"
-PREFERRED_VERSION_libsexy ?= "0.1.11"
-PREFERRED_VERSION_libsidplay ?= "1.36.59"
-PREFERRED_VERSION_libsigcx0 ?= "0.6.4"
-PREFERRED_VERSION_libsm ?= "1.0.3"
-PREFERRED_VERSION_libsndfile1 ?= "1.0.17"
-PREFERRED_VERSION_libsoundgen ?= "0.6"
-PREFERRED_VERSION_libsoup ?= "2.2.100"
-PREFERRED_VERSION_libspf2 ?= "1.0.4"
-PREFERRED_VERSION_libspiff ?= "0.8.2"
-PREFERRED_VERSION_libssh ?= "0.11"
-PREFERRED_VERSION_libsub-exporter-perl ?= "0.970"
-PREFERRED_VERSION_libsub-exporter-perl-native ?= "0.970"
-PREFERRED_VERSION_libsub-install-perl ?= "0.922"
-PREFERRED_VERSION_libsub-install-perl-native ?= "0.922"
-PREFERRED_VERSION_libsub-uplevel-perl ?= "0.13"
-PREFERRED_VERSION_libsub-uplevel-perl-native ?= "0.13"
-PREFERRED_VERSION_libsvg ?= "0.1.4"
-PREFERRED_VERSION_libtelepathy ?= "0.0.53"
-PREFERRED_VERSION_libtest-builder-tester-perl ?= "1.01"
-PREFERRED_VERSION_libtest-differences-perl ?= "0.47"
-PREFERRED_VERSION_libtest-exception-perl ?= "0.22"
-PREFERRED_VERSION_libtest-mockmodule-perl ?= "0.05"
-PREFERRED_VERSION_libtest-output-perl ?= "0.10"
-PREFERRED_VERSION_libtext-diff-perl ?= "0.35"
-PREFERRED_VERSION_libtext-diff-perl-native ?= "0.35"
-PREFERRED_VERSION_libticables ?= "3.9.2"
-PREFERRED_VERSION_libticalcs ?= "4.5.9"
-PREFERRED_VERSION_libtifiles ?= "0.6.5"
-PREFERRED_VERSION_libtinymail ?= "0.0.3"
-PREFERRED_VERSION_libtododb ?= "0.11"
-PREFERRED_VERSION_libtomcrypt ?= "0.97b"
-PREFERRED_VERSION_libtomoe-gtk ?= "0.1.0"
-PREFERRED_VERSION_libtool ?= "2.2.4"
-PREFERRED_VERSION_libtool-cross ?= "2.2.4"
-PREFERRED_VERSION_libtool-native ?= "2.2.4"
-PREFERRED_VERSION_libtool-sdk ?= "2.2.4"
-PREFERRED_VERSION_libungif ?= "4.1.3"
-PREFERRED_VERSION_libupnp ?= "1.3.1"
-PREFERRED_VERSION_liburiparser ?= "0.5.1"
-PREFERRED_VERSION_liburi-perl ?= "1.35"
-PREFERRED_VERSION_liburi-perl-native ?= "1.35"
-PREFERRED_VERSION_libusb ?= "0.1.12"
-PREFERRED_VERSION_libusb-native ?= "0.1.12"
-PREFERRED_VERSION_libversion-perl ?= "0.6701"
-PREFERRED_VERSION_libversion-perl-native ?= "0.6701"
-PREFERRED_VERSION_libvisual ?= "0.1.3"
-PREFERRED_VERSION_libvisual-plugins ?= "0.1.3"
-PREFERRED_VERSION_libvncserver ?= "0.9.1"
-PREFERRED_VERSION_libvocenabler ?= "0.1"
-PREFERRED_VERSION_libvorbis ?= "1.0.1"
-PREFERRED_VERSION_libw100 ?= "0.0.2"
-PREFERRED_VERSION_libwindowswm ?= "1.0.0"
-PREFERRED_VERSION_libwnck ?= "2.13.5"
-PREFERRED_VERSION_libwpd ?= "0.8.6"
-PREFERRED_VERSION_libx11 ?= "1.1.3"
-PREFERRED_VERSION_libx11-native = "1.0.3"
-PREFERRED_VERSION_libxau ?= "1.0.3"
-PREFERRED_VERSION_libxau-native ?= "1.0.3"
-PREFERRED_VERSION_libxaw ?= "1.0.4"
-PREFERRED_VERSION_libxcb ?= "1.0"
-PREFERRED_VERSION_libxcomposite ?= "0.4.0"
-PREFERRED_VERSION_libxcursor ?= "1.1.9"
-PREFERRED_VERSION_libxdamage ?= "1.1.1"
-PREFERRED_VERSION_libxdmcp ?= "1.0.2"
-PREFERRED_VERSION_libxdmcp-native ?= "1.0.2"
-PREFERRED_VERSION_libxevie ?= "1.0.2"
-PREFERRED_VERSION_libxext ?= "1.0.3"
-PREFERRED_VERSION_libxfce4mcs ?= "4.4.1"
-PREFERRED_VERSION_libxfce4util ?= "4.4.1"
-PREFERRED_VERSION_libxfcegui4 ?= "4.4.1"
-PREFERRED_VERSION_libxfixes ?= "4.0.3"
-PREFERRED_VERSION_libxfont ?= "1.3.1"
-PREFERRED_VERSION_libxfontcache ?= "1.0.4"
-PREFERRED_VERSION_libxfont-native ?= "1.3.0"
-PREFERRED_VERSION_libxft ?= "2.1.12"
-PREFERRED_VERSION_libxi ?= "1.1.3"
-PREFERRED_VERSION_libxinerama ?= "1.0.2"
-PREFERRED_VERSION_libxkbfile ?= "1.0.4"
-PREFERRED_VERSION_libxkbui ?= "1.0.2"
-PREFERRED_VERSION_libxml2 ?= "2.7.2"
-PREFERRED_VERSION_libxml2-native ?= "2.7.2"
-PREFERRED_VERSION_libxml-parser-perl ?= "2.34"
-PREFERRED_VERSION_libxml-parser-perl-native ?= "2.34"
-PREFERRED_VERSION_libxmu ?= "1.0.3"
-PREFERRED_VERSION_libxp ?= "1.0.0"
-PREFERRED_VERSION_libxpm ?= "3.5.7"
-PREFERRED_VERSION_libxprintapputil ?= "1.0.1"
-PREFERRED_VERSION_libxprintutil ?= "1.0.1"
-PREFERRED_VERSION_libxrandr ?= "1.2.2"
-PREFERRED_VERSION_libxrender ?= "0.9.4"
-PREFERRED_VERSION_libxres ?= "1.0.3"
-PREFERRED_VERSION_libxscrnsaver ?= "1.1.2"
-PREFERRED_VERSION_libxsettings ?= "0.11"
-PREFERRED_VERSION_libxsettings-client ?= "0.17"
-PREFERRED_VERSION_libxslt ?= "1.1.22"
-PREFERRED_VERSION_libxslt-native ?= "1.1.21"
-PREFERRED_VERSION_libxt ?= "1.0.5"
-PREFERRED_VERSION_libxtrap ?= "1.0.0"
-PREFERRED_VERSION_libxtst ?= "1.0.3"
-PREFERRED_VERSION_libxv ?= "1.0.3"
-PREFERRED_VERSION_libxvmc ?= "1.0.4"
-PREFERRED_VERSION_libxxf86dga ?= "1.0.2"
-PREFERRED_VERSION_libxxf86misc ?= "1.0.1"
-PREFERRED_VERSION_libxxf86vm ?= "1.0.1"
-PREFERRED_VERSION_libyaml-perl ?= "0.62"
-PREFERRED_VERSION_libyaml-perl-native ?= "0.62"
-PREFERRED_VERSION_lighttpd ?= "1.4.18"
-PREFERRED_VERSION_lineak ?= "0.8.3"
-PREFERRED_VERSION_linphone ?= "1.6.0"
-PREFERRED_VERSION_linphone-hh ?= "0.12.2.hh1"
-PREFERRED_VERSION_linux-hotplug ?= "20040920"
-PREFERRED_VERSION_linux-libc-headers ?= "2.6.22"
-PREFERRED_VERSION_lisa ?= "0.2.2"
-PREFERRED_VERSION_live555 ?= "20051005"
-PREFERRED_VERSION_llvm ?= "2.0"
-PREFERRED_VERSION_llvm-native ?= "2.1"
-PREFERRED_VERSION_lmbench ?= "2.0.4"
-PREFERRED_VERSION_lmsensors-apps ?= "2.10.1"
-PREFERRED_VERSION_lndir ?= "1.0.1"
-PREFERRED_VERSION_loader ?= "0.04"
-PREFERRED_VERSION_login-manager ?= "1.0"
-PREFERRED_VERSION_logrotate ?= "3.7.1"
-PREFERRED_VERSION_logrotate-script ?= "cvs"
-PREFERRED_VERSION_loudmouth ?= "1.2.2"
-PREFERRED_VERSION_lrzsz ?= "0.12.20"
-PREFERRED_VERSION_lsh ?= "1.5.5"
-PREFERRED_VERSION_lsof ?= "4.78"
-PREFERRED_VERSION_ltp ?= "20070228"
-PREFERRED_VERSION_ltrace ?= "0.4"
-PREFERRED_VERSION_lttng-control ?= "0.12"
-PREFERRED_VERSION_lttng-viewer ?= "0.8.41-20060512"
-PREFERRED_VERSION_lua ?= "5.0.2"
-PREFERRED_VERSION_lua-gtk2 ?= "0.3"
-PREFERRED_VERSION_lua-native ?= "5.0.2"
-PREFERRED_VERSION_luit ?= "1.0.2"
-PREFERRED_VERSION_lvm2 ?= "2.01.15"
-PREFERRED_VERSION_lxt ?= "1.0"
-PREFERRED_VERSION_lyx ?= "1.4.4"
-PREFERRED_VERSION_lzma ?= "4.17"
-PREFERRED_VERSION_lzma-native ?= "4.17"
-PREFERRED_VERSION_lzo ?= "1.08"
-PREFERRED_VERSION_lzo-native ?= "1.08"
-PREFERRED_VERSION_m4 ?= "1.4.8"
-PREFERRED_VERSION_m4-native ?= "1.4.8"
-PREFERRED_VERSION_macchanger ?= "1.5.0"
-PREFERRED_VERSION_madfu ?= "1.2"
-PREFERRED_VERSION_madplay ?= "0.15.2b"
-PREFERRED_VERSION_mahjongg ?= "1.0.0"
-PREFERRED_VERSION_mailutils ?= "0.3.1"
-PREFERRED_VERSION_mailx ?= "8.1.2-0.20050715cvs"
-PREFERRED_VERSION_make ?= "3.81"
-PREFERRED_VERSION_makedepend ?= "1.0.1"
-PREFERRED_VERSION_makedepend-native ?= "1.0.1"
-PREFERRED_VERSION_makedev ?= "2.3.1"
-PREFERRED_VERSION_makedevs ?= "1.0.0"
-PREFERRED_VERSION_makedevs-native ?= "1.0.0"
-PREFERRED_VERSION_make-native ?= "3.81"
-PREFERRED_VERSION_makeself-native ?= "cvs"
-PREFERRED_VERSION_maki ?= "1.0.4ern"
-PREFERRED_VERSION_man ?= "1.5p"
-PREFERRED_VERSION_man-pages ?= "2.41"
-PREFERRED_VERSION_manufacturers ?= "20031209"
-PREFERRED_VERSION_mapnik ?= "0.4.0"
-PREFERRED_VERSION_maradns ?= "1.0.39"
-PREFERRED_VERSION_masqmail ?= "0.2.21"
-PREFERRED_VERSION_matchbox ?= "0.9.1"
-PREFERRED_VERSION_matchbox-applet-cards ?= "1.0.2"
-PREFERRED_VERSION_matchbox-applet-inputmanager ?= "0.6"
-PREFERRED_VERSION_matchbox-applet-startup-monitor ?= "0.1"
-PREFERRED_VERSION_matchbox-applet-volume ?= "0.1"
-PREFERRED_VERSION_matchbox-common ?= "0.9.1"
-PREFERRED_VERSION_matchbox-desktop ?= "0.9.1"
-PREFERRED_VERSION_matchbox-panel ?= "0.9.3"
-PREFERRED_VERSION_matchbox-panel-hacks ?= "0.3-1"
-PREFERRED_VERSION_matchbox-panel-manager ?= "0.1"
-PREFERRED_VERSION_matchbox-theme-sato ?= "0.1"
-PREFERRED_VERSION_matchbox-themes-extra ?= "0.3"
-PREFERRED_VERSION_matchbox-themes-gtk ?= "1.0"
-PREFERRED_VERSION_matchbox-wm ?= "1.2"
-PREFERRED_VERSION_mathomatic ?= "unstable"
-PREFERRED_VERSION_matrixssl ?= "1.1.1"
-PREFERRED_VERSION_mb-applet-tasks ?= "1.0.0"
-PREFERRED_VERSION_mb-desktop-xine ?= "0.4"
-PREFERRED_VERSION_mbmerlin ?= "0.8.1-2"
-PREFERRED_VERSION_mc ?= "4.6.1"
-PREFERRED_VERSION_mce-dev ?= "1.5.6"
-PREFERRED_VERSION_mdadm ?= "2.5.5"
-PREFERRED_VERSION_mdev ?= "1.2.1"
-PREFERRED_VERSION_mdk2 ?= "v33"
-PREFERRED_VERSION_memedit ?= "0.7"
-PREFERRED_VERSION_memtester ?= "4.0.6"
-PREFERRED_VERSION_meta-e-x11 ?= "1.0"
-PREFERRED_VERSION_meta-e-x11-core ?= "1.0"
-PREFERRED_VERSION_meta-gpe ?= "1.0"
-PREFERRED_VERSION_meta-gpe-extras ?= "1.0"
-PREFERRED_VERSION_meta-gpephone ?= "1.0"
-PREFERRED_VERSION_metakit ?= "2.4.9.3"
-PREFERRED_VERSION_metalog ?= "0.7"
-PREFERRED_VERSION_meta-maemo ?= "1.0"
-PREFERRED_VERSION_meta-sdk ?= "1.0"
-PREFERRED_VERSION_meta-sdk-gpe ?= "1.0"
-PREFERRED_VERSION_meta-sdk-sbox ?= "1.0"
-PREFERRED_VERSION_meta-sdk-sbox-gpe ?= "1.0"
-PREFERRED_VERSION_meta-sdl ?= "1.0"
-PREFERRED_VERSION_meta-sectest-gpe ?= "1.0"
-PREFERRED_VERSION_meta-toolchain ?= "1.0"
-PREFERRED_VERSION_mgetty ?= "1.1.30"
-PREFERRED_VERSION_miau ?= "0.5.3"
-PREFERRED_VERSION_microcom ?= "1.02"
-PREFERRED_VERSION_micro-emacs ?= "20060909"
-PREFERRED_VERSION_microwindows ?= "0.90"
-PREFERRED_VERSION_midori ?= "0.0.17"
-PREFERRED_VERSION_midpath-backend-alsa ?= "0.2+0.3rc2"
-PREFERRED_VERSION_midpath-backend-escher ?= "0.2+0.3rc2"
-PREFERRED_VERSION_midpath-backend-esd ?= "0.2+0.3rc2"
-PREFERRED_VERSION_midpath-backend-fb ?= "0.2+0.3rc2"
-PREFERRED_VERSION_midpath-backend-gtk ?= "0.2+0.3rc2"
-PREFERRED_VERSION_midpath-backend-pulseaudio ?= "0.2+0.3rc2"
-PREFERRED_VERSION_midpath-backend-qt3x11 ?= "0.2+0.3rc2"
-PREFERRED_VERSION_midpath-backend-qt4x11 ?= "0.2+0.3rc2"
-PREFERRED_VERSION_midpath-backend-qte ?= "0.2+0.3rc2"
-PREFERRED_VERSION_midpath-backend-sdl ?= "0.2+0.3rc2"
-PREFERRED_VERSION_midpath-cldc ?= "0.2+0.3rc2"
-PREFERRED_VERSION_midpath-core ?= "0.2+0.3rc2"
-PREFERRED_VERSION_midpath-demos ?= "0.2+0.3rc2"
-PREFERRED_VERSION_midpath-jgl ?= "0.2+0.3rc2"
-PREFERRED_VERSION_midpath-location ?= "0.2+0.3rc2"
-PREFERRED_VERSION_midpath-m3g ?= "0.2+0.3rc2"
-PREFERRED_VERSION_midpath-maemo ?= "0.2+0.3rc2"
-PREFERRED_VERSION_midpath-messaging ?= "0.2+0.3rc2"
-PREFERRED_VERSION_midpath-opengles ?= "0.2+0.3rc2"
-PREFERRED_VERSION_midpath-openmoko ?= "0.2+0.3rc2"
-PREFERRED_VERSION_midpath-svg ?= "0.2+0.3rc2"
-PREFERRED_VERSION_midpath-webservices ?= "0.2+0.3rc2"
-PREFERRED_VERSION_mikmod ?= "3.2.2-beta1"
-PREFERRED_VERSION_mileage ?= "4.2.0-cvs-20060814"
-PREFERRED_VERSION_militaryalphabet ?= "0.2.1"
-PREFERRED_VERSION_mime-support ?= "3.28"
-PREFERRED_VERSION_miniclipboard ?= "0.3"
-PREFERRED_VERSION_minicom ?= "2.1"
-PREFERRED_VERSION_minifo-modules ?= "0.6.1-pre1"
-PREFERRED_VERSION_miniinit ?= "1.0"
-PREFERRED_VERSION_minimix ?= "0.9"
-PREFERRED_VERSION_minipredict ?= "1.0"
-PREFERRED_VERSION_mipv6 ?= "1.1-v2.4.26"
-PREFERRED_VERSION_misdn ?= "cvs"
-PREFERRED_VERSION_mkbot ?= "0.3"
-PREFERRED_VERSION_mkfontdir ?= "1.0.3"
-PREFERRED_VERSION_mkfontdir-native ?= "1.0.3"
-PREFERRED_VERSION_mobilemesh ?= "1.2"
-PREFERRED_VERSION_moc ?= "2.4.0"
-PREFERRED_VERSION_modphp ?= "5.1.6"
-PREFERRED_VERSION_modplugplay ?= "1.0"
-PREFERRED_VERSION_module-init-tools ?= "3.2.2"
-PREFERRED_VERSION_module-init-tools-cross ?= "3.2.2"
-PREFERRED_VERSION_modutils ?= "2.4.27"
-PREFERRED_VERSION_modutils-collateral ?= "1.0"
-PREFERRED_VERSION_modutils-cross ?= "2.4.27"
-PREFERRED_VERSION_modutils-initscripts ?= "1.0"
-PREFERRED_VERSION_moin ?= "1.5.8"
-PREFERRED_VERSION_mono ?= "1.2.5.1"
-PREFERRED_VERSION_mono-mcs-intermediate ?= "1.2.5.1"
-PREFERRED_VERSION_mono-native ?= "1.2.5.1"
-PREFERRED_VERSION_monotone-4 ?= "0.19"
-PREFERRED_VERSION_monotone-5 ?= "0.25.2"
-PREFERRED_VERSION_monotone-6 ?= "0.34"
-PREFERRED_VERSION_motion ?= "3.2.6"
-PREFERRED_VERSION_moto-boot-usb-native ?= "0.1.0"
-PREFERRED_VERSION_mousepad ?= "0.2.12"
-PREFERRED_VERSION_mp3blaster ?= "3.2.3"
-PREFERRED_VERSION_mpc ?= "0.12.1"
-PREFERRED_VERSION_mpeg2dec ?= "0.4.0b"
-PREFERRED_VERSION_mpfr ?= "2.3.1"
-PREFERRED_VERSION_mpfr-native ?= "2.3.1"
-PREFERRED_VERSION_mpg123 ?= "0.66"
-PREFERRED_VERSION_mpg321 ?= "0.2.10"
-PREFERRED_VERSION_mplayer-common ?= "0.0.1"
-PREFERRED_VERSION_mrxvt ?= "0.5.2"
-PREFERRED_VERSION_msmtp ?= "1.4.10"
-PREFERRED_VERSION_msn-cap ?= "1.0"
-PREFERRED_VERSION_msynctool ?= "0.22"
-PREFERRED_VERSION_mt-daapd ?= "0.2.3"
-PREFERRED_VERSION_mtools ?= "3.9.9"
-PREFERRED_VERSION_mtools-native ?= "3.9.9"
-PREFERRED_VERSION_mtpaint ?= "3.02"
-PREFERRED_VERSION_mtr ?= "0.65"
-PREFERRED_VERSION_multisync ?= "0.90.18"
-PREFERRED_VERSION_murasaki ?= "0.8.8"
-PREFERRED_VERSION_mutt ?= "1.5.15"
-PREFERRED_VERSION_mysql ?= "4.1.18"
-PREFERRED_VERSION_mysql-native ?= "4.1.18"
-PREFERRED_VERSION_mythfront-config ?= "1.10"
-PREFERRED_VERSION_mythfront-session ?= "1.5"
-PREFERRED_VERSION_nabi ?= "0.17"
-PREFERRED_VERSION_nail ?= "11.21"
-PREFERRED_VERSION_nano ?= "2.0.7"
-PREFERRED_VERSION_nasm-native ?= "0.98.38"
-PREFERRED_VERSION_nautilus ?= "2.12.2"
-PREFERRED_VERSION_nautilus-cd-burner ?= "2.8.5"
-PREFERRED_VERSION_nbd ?= "2.8.7"
-PREFERRED_VERSION_ncftp ?= "3.2.0"
-PREFERRED_VERSION_ncmpc ?= "0.11.1"
-PREFERRED_VERSION_ncurses ?= "5.4"
-PREFERRED_VERSION_ncurses-native ?= "5.4"
-PREFERRED_VERSION_ndisc6 ?= "0.6.7"
-PREFERRED_VERSION_neon ?= "0.25.5"
-PREFERRED_VERSION_net6 ?= "1.3.1"
-PREFERRED_VERSION_netatalk ?= "2.0.3"
-PREFERRED_VERSION_netbase ?= "4.21"
-PREFERRED_VERSION_netcat ?= "0.7.1"
-PREFERRED_VERSION_netpbm ?= "10.28"
-PREFERRED_VERSION_netperf ?= "2.4.2"
-PREFERRED_VERSION_net-snmp ?= "5.4.1"
-PREFERRED_VERSION_net-tools ?= "1.60"
-PREFERRED_VERSION_network-manager-applet ?= "0.6.5"
-PREFERRED_VERSION_network-suspend-scripts ?= "1.1"
-PREFERRED_VERSION_nfs-utils ?= "1.1.2"
-PREFERRED_VERSION_ngrep ?= "1.42"
-PREFERRED_VERSION_nis-all ?= "1.0"
-PREFERRED_VERSION_nkf ?= "2.07"
-PREFERRED_VERSION_nkf-native ?= "2.07"
-PREFERRED_VERSION_nmap ?= "4.20"
-PREFERRED_VERSION_nmixer ?= "2.0"
-PREFERRED_VERSION_nmm ?= "0.0.2"
-PREFERRED_VERSION_nogravity ?= "2.0"
-PREFERRED_VERSION_notecase ?= "1.2.6"
-PREFERRED_VERSION_notez ?= "1.1.0"
-PREFERRED_VERSION_notification-daemon ?= "0.3.7"
-PREFERRED_VERSION_nsd ?= "2.0.0"
-PREFERRED_VERSION_ntfs-3g ?= "1.0"
-PREFERRED_VERSION_ntop ?= "3.0"
-PREFERRED_VERSION_ntp ?= "4.2.2p3"
-PREFERRED_VERSION_ntpclient ?= "2003_194"
-PREFERRED_VERSION_ntp-ssl ?= "4.1.2"
-PREFERRED_VERSION_nunome ?= "1.0.2"
-PREFERRED_VERSION_nylon-feed ?= "1.0"
-PREFERRED_VERSION_obby ?= "0.4.1"
-PREFERRED_VERSION_obexftp ?= "0.20"
-PREFERRED_VERSION_obexpush ?= "1.0.0"
-PREFERRED_VERSION_obexpush-native ?= "1.0.0"
-PREFERRED_VERSION_octave ?= "2.1.73"
-PREFERRED_VERSION_offlineimap ?= "4.0.14"
-PREFERRED_VERSION_olsrd ?= "0.5.3"
-PREFERRED_VERSION_omext ?= "0.2"
-PREFERRED_VERSION_omniorb ?= "4.0.7"
-PREFERRED_VERSION_omniorb-native ?= "4.0.7"
-PREFERRED_VERSION_openal ?= "0.0.8"
-PREFERRED_VERSION_openh323 ?= "1.13.5.4"
-PREFERRED_VERSION_openjade ?= "1.3.2"
-PREFERRED_VERSION_openjade-native ?= "1.3.2"
-PREFERRED_VERSION_openntpd ?= "3.9p1"
-PREFERRED_VERSION_openobex ?= "1.3"
-PREFERRED_VERSION_openpbx.org ?= "1.2_rc3"
-PREFERRED_VERSION_openpbx.org-perl ?= "1.0"
-PREFERRED_VERSION_openprotium-init ?= "0.10"
-PREFERRED_VERSION_openprotium-packages ?= "1.0"
-PREFERRED_VERSION_opensp ?= "1.5"
-PREFERRED_VERSION_opensp-native ?= "1.5"
-PREFERRED_VERSION_openssh ?= "4.6p1"
-PREFERRED_VERSION_openssl ?= "0.9.8j"
-PREFERRED_VERSION_openssl-native ?= "0.9.8j"
-PREFERRED_VERSION_openswan ?= "2.4.7"
-PREFERRED_VERSION_openttd ?= "0.6.3"
-PREFERRED_VERSION_openvpn ?= "2.0.9"
-PREFERRED_VERSION_oplinux-packages ?= "1.0"
-PREFERRED_VERSION_oprofile ?= "0.9.4"
-PREFERRED_VERSION_orage ?= "4.4.1"
-PREFERRED_VERSION_orbit2 ?= "2.14.12"
-PREFERRED_VERSION_orbit2-native ?= "2.14.12"
-PREFERRED_VERSION_orinoco-conf ?= "1.0"
-PREFERRED_VERSION_orinoco-modules ?= "0.15rc2"
-PREFERRED_VERSION_orpheus ?= "1.5"
-PREFERRED_VERSION_ortp ?= "0.7.1"
-PREFERRED_VERSION_osso-af-settings ?= "0.8.5"
-PREFERRED_VERSION_osso-af-startup ?= "0.28-1"
-PREFERRED_VERSION_osso-af-utils ?= "0.4"
-PREFERRED_VERSION_osso-app-killer ?= "0.4-3"
-PREFERRED_VERSION_osso-application-installer ?= "1.0.03-1"
-PREFERRED_VERSION_osso-bttools ?= "0.25.1"
-PREFERRED_VERSION_osso-core-config ?= "200515.1"
-PREFERRED_VERSION_osso-dsp-headers ?= "0.1"
-PREFERRED_VERSION_osso-esd ?= "0.5"
-PREFERRED_VERSION_osso-gwconnect ?= "1.0.8"
-PREFERRED_VERSION_osso-gwobex ?= "0.26.1"
-PREFERRED_VERSION_osso-ic-oss ?= "1.0.4"
-PREFERRED_VERSION_osso-screenshot-tool ?= "1.20-1"
-PREFERRED_VERSION_osso-sounds ?= "0.3-1"
-PREFERRED_VERSION_osso-thumbnail ?= "0.7"
-PREFERRED_VERSION_otpkeygen ?= "1.3.0"
-PREFERRED_VERSION_outo ?= "0.1.1"
-PREFERRED_VERSION_p3scan ?= "2.9.05d"
-PREFERRED_VERSION_p4 ?= "05.2"
-PREFERRED_VERSION_package-index ?= "1.0"
-PREFERRED_VERSION_pad-native ?= "1.0"
-PREFERRED_VERSION_pairs ?= "1.1.1"
-PREFERRED_VERSION_pango ?= "1.18.3"
-PREFERRED_VERSION_panoramixext ?= "1.1"
-PREFERRED_VERSION_parted ?= "1.8.7"
-PREFERRED_VERSION_patch ?= "2.5.9"
-PREFERRED_VERSION_patcher ?= "20040913"
-PREFERRED_VERSION_patcher-native ?= "20040913"
-PREFERRED_VERSION_patchutils ?= "0.2.31"
-PREFERRED_VERSION_pax-utils ?= "0.1.13"
-PREFERRED_VERSION_pax-utils-native ?= "0.1.13"
-PREFERRED_VERSION_pbltool-native ?= "0.2"
-PREFERRED_VERSION_pciutils ?= "2.2.4"
-PREFERRED_VERSION_pcmanfm ?= "0.5"
-PREFERRED_VERSION_pcmcia-cs ?= "3.2.8"
-PREFERRED_VERSION_pcmciautils ?= "014"
-PREFERRED_VERSION_pdamaze ?= "1.0.0"
-PREFERRED_VERSION_pdm ?= "1.0"
-PREFERRED_VERSION_perl ?= "5.8.8"
-PREFERRED_VERSION_perl-native ?= "5.8.8"
-PREFERRED_VERSION_petitepainture ?= "1.5"
-PREFERRED_VERSION_phalanx ?= "22"
-PREFERRED_VERSION_phoneserver ?= "1.0"
-PREFERRED_VERSION_php ?= "5.2.0"
-PREFERRED_VERSION_php-native ?= "5.2.0"
-PREFERRED_VERSION_picocom ?= "1.4"
-PREFERRED_VERSION_pidgin ?= "2.6.5"
-PREFERRED_VERSION_pine ?= "4.64"
-PREFERRED_VERSION_pipeman ?= "1.0.0"
-PREFERRED_VERSION_pipepanic ?= "0.1.1"
-PREFERRED_VERSION_pivotinit ?= "1.0.0"
-PREFERRED_VERSION_pixman ?= "0.11.4"
-PREFERRED_VERSION_pixops-test ?= "1.0"
-PREFERRED_VERSION_pkgconfig ?= "0.23"
-PREFERRED_VERSION_pkgconfig-native ?= "0.23"
-PREFERRED_VERSION_plinciv ?= "0.16"
-PREFERRED_VERSION_plone ?= "2.1.2"
-PREFERRED_VERSION_plot ?= "0.28"
-PREFERRED_VERSION_pme ?= "1.0.3"
-PREFERRED_VERSION_pmount ?= "0.9.4"
-PREFERRED_VERSION_pmtools ?= "20050926"
-PREFERRED_VERSION_poboxserver ?= "1.2.5"
-PREFERRED_VERSION_pocketcellar ?= "1.1"
-PREFERRED_VERSION_pocketsphinx ?= "0.2.1"
-PREFERRED_VERSION_poppler ?= "0.8.4"
-PREFERRED_VERSION_poppler-data ?= "0.1"
-PREFERRED_VERSION_popt ?= "1.7"
-PREFERRED_VERSION_popt-native ?= "1.7"
-PREFERRED_VERSION_poptop ?= "1.3.4"
-PREFERRED_VERSION_poqetpresenter ?= "0.0.6"
-PREFERRED_VERSION_portabase ?= "1.9"
-PREFERRED_VERSION_portmap ?= "6.0"
-PREFERRED_VERSION_postfix ?= "2.0.20"
-PREFERRED_VERSION_postfix-native ?= "2.0.20"
-PREFERRED_VERSION_postgresql ?= "8.1.8"
-PREFERRED_VERSION_povray ?= "3.6.1"
-PREFERRED_VERSION_powermanga ?= "0.79"
-PREFERRED_VERSION_powernowd ?= "0.96"
-PREFERRED_VERSION_powertop ?= "1.8"
-PREFERRED_VERSION_ppp ?= "2.4.3"
-PREFERRED_VERSION_ppp-dsl ?= "0.1-monolithic"
-PREFERRED_VERSION_pptp-linux ?= "1.7.1"
-PREFERRED_VERSION_prboom ?= "2.2.6"
-PREFERRED_VERSION_prboom-devconfig ?= "1.0"
-PREFERRED_VERSION_prelink ?= "20060712"
-PREFERRED_VERSION_printproto ?= "1.0.3"
-PREFERRED_VERSION_prism2-firmware-update ?= "1.7.4"
-PREFERRED_VERSION_prism54-firmware ?= "1.0.4.3"
-PREFERRED_VERSION_prism54-module ?= "1.2"
-PREFERRED_VERSION_prism-firmware ?= "1.0"
-PREFERRED_VERSION_prismstumbler ?= "0.7.3"
-PREFERRED_VERSION_privoxy ?= "3.0.3"
-PREFERRED_VERSION_procps ?= "3.2.7"
-PREFERRED_VERSION_proj-4 ?= "4.9"
-PREFERRED_VERSION_proj-4-native ?= "4.9"
-PREFERRED_VERSION_psmisc ?= "22.2"
-PREFERRED_VERSION_psplash-zap ?= "1.0"
-PREFERRED_VERSION_pth ?= "2.0.2"
-PREFERRED_VERSION_pulseaudio ?= "0.9.10"
-PREFERRED_VERSION_puppy ?= "1.11"
-PREFERRED_VERSION_puzz-le ?= "2.0.0"
-PREFERRED_VERSION_puzzles ?= "r7436"
-PREFERRED_VERSION_pvrusb2-mci ?= "20060903"
-PREFERRED_VERSION_pwdutils ?= "2.6"
-PREFERRED_VERSION_pwlib ?= "1.5.2"
-PREFERRED_VERSION_pwmpi ?= "2.2.7"
-PREFERRED_VERSION_pxaregs ?= "1.14"
-PREFERRED_VERSION_python24 ?= "2.4.4"
-PREFERRED_VERSION_python24-native ?= "2.4.0"
-PREFERRED_VERSION_python24-pyqt2 ?= "3.13"
-PREFERRED_VERSION_python24-pyqwt2 ?= "3.10"
-PREFERRED_VERSION_python24-sip ?= "4.1.1"
-PREFERRED_VERSION_python ?= "2.6.1"
-PREFERRED_VERSION_python-ao ?= "0.82"
-PREFERRED_VERSION_python-constraint ?= "1.1"
-PREFERRED_VERSION_python-dbus ?= "0.83.0"
-PREFERRED_VERSION_python-fam ?= "1.1.1"
-PREFERRED_VERSION_python-fnorb ?= "1.3"
-PREFERRED_VERSION_python-fpconst ?= "0.6.0"
-PREFERRED_VERSION_python-gammu ?= "0.24"
-PREFERRED_VERSION_python-gmpy ?= "1.0.1"
-PREFERRED_VERSION_python-gnosis ?= "1.2.2"
-PREFERRED_VERSION_python-gst ?= "0.10.10"
-PREFERRED_VERSION_python-hmm ?= "0.4"
-PREFERRED_VERSION_python-imaging ?= "1.1.6"
-PREFERRED_VERSION_python-imdbpy ?= "3.1"
-PREFERRED_VERSION_python-inotify ?= "0.1.0"
-PREFERRED_VERSION_python-irclib ?= "0.4.6"
-PREFERRED_VERSION_python-itools ?= "0.16.5"
-PREFERRED_VERSION_python-libgmail ?= "0.1.6"
-PREFERRED_VERSION_python-logilab-common ?= "0.9.3"
-PREFERRED_VERSION_python-lxml ?= "1.3.3"
-PREFERRED_VERSION_python-mad ?= "0.6"
-PREFERRED_VERSION_python-mysqldb ?= "1.2.1"
-PREFERRED_VERSION_python-native ?= "2.6.1"
-PREFERRED_VERSION_python-numarray ?= "1.1.1"
-PREFERRED_VERSION_python-numeric ?= "23.7"
-PREFERRED_VERSION_python-ogg ?= "1.3"
-PREFERRED_VERSION_python-pexpect ?= "2.1"
-PREFERRED_VERSION_python-pybluez ?= "0.13"
-PREFERRED_VERSION_python-pycairo ?= "1.4.0"
-PREFERRED_VERSION_python-pychecker ?= "0.8.17"
-PREFERRED_VERSION_python-pycodes ?= "1.2"
-PREFERRED_VERSION_python-pycrypto ?= "2.0.1"
-PREFERRED_VERSION_python-pycurl ?= "7.18.2"
-PREFERRED_VERSION_python-pyephem ?= "3.7.2a"
-PREFERRED_VERSION_python-pyfits ?= "1.1"
-PREFERRED_VERSION_python-pyflakes ?= "0.2.1"
-PREFERRED_VERSION_python-pygame ?= "1.8.1"
-PREFERRED_VERSION_python-pygnome ?= "2.16.2"
-PREFERRED_VERSION_python-pygobject ?= "2.16.0"
-PREFERRED_VERSION_python-pygobject-native ?= "2.16.0"
-PREFERRED_VERSION_python-pygoogle ?= "0.6"
-PREFERRED_VERSION_python-pygtk-1.2 ?= "0.6.12"
-PREFERRED_VERSION_python-pygtk ?= "2.10.4"
-PREFERRED_VERSION_python-pyid3lib ?= "0.5.1"
-PREFERRED_VERSION_python-pyiw ?= "0.3.3"
-PREFERRED_VERSION_python-pylinda ?= "0.6"
-PREFERRED_VERSION_python-pylint ?= "0.13.2"
-PREFERRED_VERSION_python-pymetar ?= "0.11"
-PREFERRED_VERSION_python-pymp3 ?= "0.3.4"
-PREFERRED_VERSION_python-pyrad ?= "0.8"
-PREFERRED_VERSION_python-pyraf ?= "1.4"
-PREFERRED_VERSION_python-pyreverse ?= "0.5.2"
-PREFERRED_VERSION_python-pyrex ?= "0.9.8.4"
-PREFERRED_VERSION_python-pyrex-native ?= "0.9.8.5"
-PREFERRED_VERSION_python-pyro ?= "3.7"
-PREFERRED_VERSION_python-pyserial ?= "2.4"
-PREFERRED_VERSION_python-pytester ?= "0.6.0"
-PREFERRED_VERSION_python-pythondaap ?= "0.4"
-PREFERRED_VERSION_python-pyvisa ?= "1.1"
-PREFERRED_VERSION_python-pyweather ?= "0.7.0"
-PREFERRED_VERSION_python-pywpa ?= "0.3.4"
-PREFERRED_VERSION_python-pyxml ?= "0.8.4"
-PREFERRED_VERSION_python-pyxmlrpc ?= "0.8.8.3"
-PREFERRED_VERSION_python-pyzeroconf ?= "0.12"
-PREFERRED_VERSION_python-scapy ?= "1.1.1"
-PREFERRED_VERSION_python-scons ?= "0.97"
-PREFERRED_VERSION_python-scons-native ?= "0.97"
-PREFERRED_VERSION_python-setuptools ?= "0.6c8"
-PREFERRED_VERSION_python-setuptools-native ?= "0.6c9"
-PREFERRED_VERSION_python-sgmlop ?= "1.1"
-PREFERRED_VERSION_python-simplejson ?= "1.7.1"
-PREFERRED_VERSION_python-snmplib ?= "0.1.1"
-PREFERRED_VERSION_python-soappy ?= "0.11.6"
-PREFERRED_VERSION_python-spydi ?= "0.9.7"
-PREFERRED_VERSION_python-spyro ?= "0.9.22"
-PREFERRED_VERSION_python-sqlobject ?= "0.9.1"
-PREFERRED_VERSION_python-sword ?= "1.5.9"
-PREFERRED_VERSION_python-urwid ?= "0.9.8.1"
-PREFERRED_VERSION_python-vmaps ?= "1.1"
-PREFERRED_VERSION_python-vorbis ?= "1.3"
-PREFERRED_VERSION_python-webpy ?= "0.21"
-PREFERRED_VERSION_qclockchange ?= "0.1a"
-PREFERRED_VERSION_qcoptest ?= "0.1.1"
-PREFERRED_VERSION_qc-usb-messenger ?= "1.1"
-PREFERRED_VERSION_qfish2 ?= "1.1.0"
-PREFERRED_VERSION_qgis ?= "0.8.1"
-PREFERRED_VERSION_qiv ?= "1.9"
-PREFERRED_VERSION_qjackctl ?= "0.3.1a"
-PREFERRED_VERSION_qmake2-native ?= "2.10a"
-PREFERRED_VERSION_qmake-native ?= "1.07a"
-PREFERRED_VERSION_qmatrix ?= "1.1.0"
-PREFERRED_VERSION_qof ?= "0.7.2"
-PREFERRED_VERSION_qolyester ?= "20050728"
-PREFERRED_VERSION_qpdf2 ?= "2.2.1"
-PREFERRED_VERSION_qpealarmclock ?= "1.0.9"
-PREFERRED_VERSION_qpealarmclockapplet ?= "1.0.9"
-PREFERRED_VERSION_qpe-gaim ?= "20041030"
-PREFERRED_VERSION_qpegps ?= "0.9.3.1"
-PREFERRED_VERSION_qpe-inputhelper-applet ?= "1.0.0"
-PREFERRED_VERSION_qpe-libgaim ?= "1.5.0"
-PREFERRED_VERSION_qpenmapfe ?= "1.0.0"
-PREFERRED_VERSION_qpf-arabic ?= "1.0"
-PREFERRED_VERSION_qpf-bitstream-vera ?= "1.10"
-PREFERRED_VERSION_qpf-bitstream-vera-sans-mono ?= "1.10"
-PREFERRED_VERSION_qpf-font-common ?= "1.0"
-PREFERRED_VERSION_qpf-freemono ?= "1.0"
-PREFERRED_VERSION_qpf-freeserif ?= "1.0"
-PREFERRED_VERSION_qpf-helvetica ?= "1.0"
-PREFERRED_VERSION_qpf-hunkysans ?= "0.3.0"
-PREFERRED_VERSION_qpf-hunkyserif ?= "0.3.0"
-PREFERRED_VERSION_qpf-qte ?= "2.3.10"
-PREFERRED_VERSION_qpf-unifont ?= "1.0"
-PREFERRED_VERSION_qpf-unismall ?= "1.0.0"
-PREFERRED_VERSION_qpf-utopia ?= "1.0"
-PREFERRED_VERSION_qplot ?= "2.0.1-cvs-20020420"
-PREFERRED_VERSION_qpobox ?= "0.5.4"
-PREFERRED_VERSION_qpphoto ?= "1.0.2"
-PREFERRED_VERSION_qscintilla ?= "1.65-gpl-1.6"
-PREFERRED_VERSION_qsvn ?= "0.3.0"
-PREFERRED_VERSION_qt4-x11-free ?= "4.4.1"
-PREFERRED_VERSION_qtplot ?= "0.2"
-PREFERRED_VERSION_qt-x11-free ?= "3.3.7"
-PREFERRED_VERSION_qt-x11-free-native ?= "3.3.5"
-PREFERRED_VERSION_quagga ?= "0.99.8"
-PREFERRED_VERSION_quake1 ?= "0.0.1"
-PREFERRED_VERSION_quetoo ?= "0.6.1"
-PREFERRED_VERSION_quilt ?= "0.45"
-PREFERRED_VERSION_quilt-native ?= "0.45"
-PREFERRED_VERSION_qwt ?= "4.2.0rc1"
-PREFERRED_VERSION_qxmp ?= "1.0"
-PREFERRED_VERSION_radlib ?= "2.6.2"
-PREFERRED_VERSION_radlib-mysql ?= "2.6.2"
-PREFERRED_VERSION_radvd ?= "1.0"
-PREFERRED_VERSION_rage ?= "0.2.0.003"
-PREFERRED_VERSION_randrext ?= "1.0"
-PREFERRED_VERSION_randrproto ?= "1.2.1"
-PREFERRED_VERSION_rdesktop ?= "1.5.0"
-PREFERRED_VERSION_rdiff-backup ?= "1.1.5"
-PREFERRED_VERSION_readline ?= "4.3"
-PREFERRED_VERSION_readline-native ?= "4.3"
-PREFERRED_VERSION_reaim ?= "7.0.1.13"
-PREFERRED_VERSION_recode ?= "3.6"
-PREFERRED_VERSION_recode-native ?= "3.6"
-PREFERRED_VERSION_recordproto ?= "1.13.2"
-PREFERRED_VERSION_redfang ?= "2.5"
-PREFERRED_VERSION_refdbg ?= "1.2"
-PREFERRED_VERSION_regex-markup ?= "0.10.0"
-PREFERRED_VERSION_reiser4progs ?= "1.0.4"
-PREFERRED_VERSION_reiserfsprogs ?= "3.6.19"
-PREFERRED_VERSION_renderproto ?= "0.9.3"
-PREFERRED_VERSION_resistorui ?= "0.9"
-PREFERRED_VERSION_resolvconf ?= "1.43"
-PREFERRED_VERSION_resourceext ?= "1.0"
-PREFERRED_VERSION_resourceproto ?= "1.0.2"
-PREFERRED_VERSION_rfakeap ?= "0.2"
-PREFERRED_VERSION_rglueap ?= "0.1"
-PREFERRED_VERSION_rhythmbox ?= "0.8.7"
-PREFERRED_VERSION_rlpr ?= "2.05"
-PREFERRED_VERSION_r-native ?= "2.0.0"
-PREFERRED_VERSION_roadmap-gtk2 ?= "1.1.0"
-PREFERRED_VERSION_rott ?= "1.0"
-PREFERRED_VERSION_rox-filer ?= "2.5"
-PREFERRED_VERSION_rpm ?= "4.4"
-PREFERRED_VERSION_rp-pppoe ?= "3.8"
-PREFERRED_VERSION_rrdtool ?= "1.0.49"
-PREFERRED_VERSION_rsync ?= "2.6.9"
-PREFERRED_VERSION_rt2570 ?= "1.1.0-b2"
-PREFERRED_VERSION_rt2570-k2wrlz ?= "1.6.1"
-PREFERRED_VERSION_rt73-k2wrlz ?= "2.0.1"
-PREFERRED_VERSION_rtaudio-tests ?= "3.0.1"
-PREFERRED_VERSION_ruby ?= "1.8.5"
-PREFERRED_VERSION_ruby-native ?= "1.8.5"
-PREFERRED_VERSION_rxvt ?= "2.8.0"
-PREFERRED_VERSION_rxvt-unicode ?= "7.9"
-PREFERRED_VERSION_sablevm ?= "1.12"
-PREFERRED_VERSION_sablevm-classpath ?= "1.12"
-PREFERRED_VERSION_salsa-lib ?= "0.0.1"
-PREFERRED_VERSION_samba ?= "3.0.23c"
-PREFERRED_VERSION_samba-essential ?= "3.0.20"
-PREFERRED_VERSION_sane-backends ?= "1.0.17"
-PREFERRED_VERSION_sane-frontends ?= "1.0.13"
-PREFERRED_VERSION_sato-icon-theme ?= "0.1"
-PREFERRED_VERSION_sbagen ?= "1.4.1"
-PREFERRED_VERSION_sbrsh ?= "7.1"
-PREFERRED_VERSION_scap ?= "0.1"
-PREFERRED_VERSION_sccd ?= "1.0"
-PREFERRED_VERSION_scew ?= "0.3.1"
-PREFERRED_VERSION_schedstat-utils ?= "1.0"
-PREFERRED_VERSION_schroedinger ?= "1.0.5"
-PREFERRED_VERSION_screen ?= "4.0.2"
-PREFERRED_VERSION_scrnsaverproto ?= "1.1.0"
-PREFERRED_VERSION_scsi-idle ?= "2.4.23"
-PREFERRED_VERSION_sctzap ?= "0.0cvs20060814"
-PREFERRED_VERSION_scummvm ?= "0.10.0"
-PREFERRED_VERSION_scummvm-qpe ?= "0.6.1b"
-PREFERRED_VERSION_scw ?= "0.4.3"
-PREFERRED_VERSION_sdcc ?= "2.5.0"
-PREFERRED_VERSION_sdcc-native ?= "2.5.0"
-PREFERRED_VERSION_sdk-default-icons ?= "0.2-1"
-PREFERRED_VERSION_sdk-default-theme ?= "0.1-1"
-PREFERRED_VERSION_sdk-default-theme-config ?= "1.0-1"
-PREFERRED_VERSION_sdl-perl ?= "1.20.3"
-PREFERRED_VERSION_sed ?= "4.1.2"
-PREFERRED_VERSION_sed-native ?= "4.1.2"
-PREFERRED_VERSION_ser ?= "0.9.0"
-PREFERRED_VERSION_serload-native ?= "1.0"
-PREFERRED_VERSION_sessreg ?= "1.0.3"
-PREFERRED_VERSION_setmixer ?= "27DEC94"
-PREFERRED_VERSION_setserial ?= "2.17"
-PREFERRED_VERSION_setxkbmap ?= "1.0.4"
-PREFERRED_VERSION_sgml-common ?= "0.6.3"
-PREFERRED_VERSION_sgml-common-native ?= "0.6.3"
-PREFERRED_VERSION_shared-mime-info ?= "0.51"
-PREFERRED_VERSION_sharp-compat-libs ?= "0.5"
-PREFERRED_VERSION_sharprom-toolchain-native ?= "1.0"
-PREFERRED_VERSION_shasum-native ?= "1.0"
-PREFERRED_VERSION_shfs-modules ?= "0.35"
-PREFERRED_VERSION_shfs-utils ?= "0.35"
-PREFERRED_VERSION_shisensho ?= "1.0.0"
-PREFERRED_VERSION_shopper ?= "1.2.1"
-PREFERRED_VERSION_shorewall ?= "2.0.9-monolithic"
-PREFERRED_VERSION_sidplay-base ?= "1.0.9"
-PREFERRED_VERSION_sidplayer ?= "1.5.0"
-PREFERRED_VERSION_silo ?= "1.4.8"
-PREFERRED_VERSION_simh ?= "3.7-1"
-PREFERRED_VERSION_simpad-utilities ?= "1.0"
-PREFERRED_VERSION_sip3-native ?= "4.0.1"
-PREFERRED_VERSION_sipsak ?= "0.9.6"
-PREFERRED_VERSION_skippy-xd ?= "0.5.0"
-PREFERRED_VERSION_sl ?= "3.03"
-PREFERRED_VERSION_slang ?= "1.4.9"
-PREFERRED_VERSION_slcalc ?= "1.2.1"
-PREFERRED_VERSION_sliderulez ?= "0.92"
-PREFERRED_VERSION_slotsig ?= "0.6"
-PREFERRED_VERSION_slrn ?= "0.9.8.0"
-PREFERRED_VERSION_slsnif ?= "0.4.4"
-PREFERRED_VERSION_slugimage-native ?= "1.0"
-PREFERRED_VERSION_slugos-init ?= "0.10"
-PREFERRED_VERSION_slugos-native ?= "1.0"
-PREFERRED_VERSION_slugos-native-packages ?= "1.0"
-PREFERRED_VERSION_slugtool ?= "1.0"
-PREFERRED_VERSION_slugtool-native ?= "1.0"
-PREFERRED_VERSION_slutils ?= "0.1.0"
-PREFERRED_VERSION_smartmontools ?= "5.37"
-PREFERRED_VERSION_sms ?= "1.1"
-PREFERRED_VERSION_sn9c102 ?= "1.32"
-PREFERRED_VERSION_snes232 ?= "cvs"
-PREFERRED_VERSION_snes9x ?= "1.43-WIP1"
-PREFERRED_VERSION_snes9x-sdl ?= "1.39"
-PREFERRED_VERSION_snes9x-sdl-qpe ?= "1.39"
-PREFERRED_VERSION_socat ?= "1.3.2.1"
-PREFERRED_VERSION_sofia-sip ?= "1.11.7"
-PREFERRED_VERSION_softfan ?= "0.10"
-PREFERRED_VERSION_sokoban ?= "1.3.8ern"
-PREFERRED_VERSION_soundserver ?= "1.0"
-PREFERRED_VERSION_soundtracker ?= "0.6.8"
-PREFERRED_VERSION_soundtracker-gtk2 ?= "0.6.7"
-PREFERRED_VERSION_sox ?= "13.0.0"
-PREFERRED_VERSION_sox-native ?= "13.0.0"
-PREFERRED_VERSION_spandsp ?= "0.0.3"
-PREFERRED_VERSION_spca5xx ?= "20060501"
-PREFERRED_VERSION_spectrum-fw ?= "1.0"
-PREFERRED_VERSION_speex ?= "1.1+1.2rc1"
-PREFERRED_VERSION_sphinxbase ?= "0.1"
-PREFERRED_VERSION_squashfs-lzma-tools ?= "3.1r2"
-PREFERRED_VERSION_squashfs-lzma-tools-native ?= "3.1r2"
-PREFERRED_VERSION_squashfs-tools ?= "3.1r2"
-PREFERRED_VERSION_squashfs-tools-native ?= "3.1r2"
-PREFERRED_VERSION_squeak-nox ?= "3.4-2"
-PREFERRED_VERSION_squid ?= "2.6.STABLE14"
-PREFERRED_VERSION_sshfs-fuse ?= "1.8"
-PREFERRED_VERSION_ssmtp ?= "2.61"
-PREFERRED_VERSION_stagemanager-native ?= "0.0.1"
-PREFERRED_VERSION_startup-monitor ?= "0.18-2"
-PREFERRED_VERSION_startup-notification ?= "0.8"
-PREFERRED_VERSION_stat ?= "3.3"
-PREFERRED_VERSION_stat-native ?= "3.3"
-PREFERRED_VERSION_strace ?= "4.5.15"
-PREFERRED_VERSION_streamripper ?= "1.61.10"
-PREFERRED_VERSION_stress ?= "0.18.8"
-PREFERRED_VERSION_stunnel ?= "4.09"
-PREFERRED_VERSION_subapplet ?= "1.0.8"
-PREFERRED_VERSION_subversion ?= "1.4.3"
-PREFERRED_VERSION_sudo ?= "1.6.8p12"
-PREFERRED_VERSION_supertux ?= "0.1.2"
-PREFERRED_VERSION_supybot ?= "0.77.0"
-PREFERRED_VERSION_suspend-desktop ?= "1.0"
-PREFERRED_VERSION_swfdec ?= "0.5.1"
-PREFERRED_VERSION_swig ?= "1.3.31"
-PREFERRED_VERSION_swig-native ?= "1.3.31"
-PREFERRED_VERSION_sword ?= "1.5.9"
-PREFERRED_VERSION_sylpheed ?= "2.2.9"
-PREFERRED_VERSION_synaesthesia ?= "2.4"
-PREFERRED_VERSION_syncml-client ?= "0.1"
-PREFERRED_VERSION_synergy ?= "1.3.1"
-PREFERRED_VERSION_sysfsutils ?= "2.0.0"
-PREFERRED_VERSION_sysklogd ?= "1.4.1"
-PREFERRED_VERSION_syslinux-native ?= "3.63"
-PREFERRED_VERSION_syslog-ng ?= "1.6.11"
-PREFERRED_VERSION_sysvinit ?= "2.86"
-PREFERRED_VERSION_t1lib ?= "5.0.2"
-PREFERRED_VERSION_taglib ?= "1.4"
-PREFERRED_VERSION_taglibc ?= "1.4"
-PREFERRED_VERSION_tango-icon-theme ?= "0.7.2"
-PREFERRED_VERSION_tango-icon-theme-extras ?= "0.1.0"
-PREFERRED_VERSION_tapioca ?= "0.3.9"
-PREFERRED_VERSION_tapiocaui ?= "0.3.9.1"
-PREFERRED_VERSION_tapioca-xmpp ?= "0.3.9"
-PREFERRED_VERSION_tar ?= "1.18"
-PREFERRED_VERSION_tasklistapplet ?= "1.0.5"
-PREFERRED_VERSION_tasks ?= "0.10"
-PREFERRED_VERSION_tcpdump ?= "3.9.7"
-PREFERRED_VERSION_tcpick ?= "0.1.22"
-PREFERRED_VERSION_tcptraceroute ?= "1.5beta6"
-PREFERRED_VERSION_tcptrack ?= "1.1.2"
-PREFERRED_VERSION_tcp-wrappers ?= "7.6"
-PREFERRED_VERSION_tda1004x-firmware ?= "1.0"
-PREFERRED_VERSION_telepathy-gabble ?= "0.5.10"
-PREFERRED_VERSION_telepathy-glib ?= "0.5.10"
-PREFERRED_VERSION_telepathy-mission-control ?= "4.22"
-PREFERRED_VERSION_teleport ?= "0.34"
-PREFERRED_VERSION_temtor ?= "0.0.1"
-PREFERRED_VERSION_termcap ?= "11.0.1"
-PREFERRED_VERSION_terminus ?= "1.0"
-PREFERRED_VERSION_tesseract ?= "1.0"
-PREFERRED_VERSION_tetex ?= "3.0"
-PREFERRED_VERSION_tetex-native ?= "3.0"
-PREFERRED_VERSION_tetex-texmf ?= "3.0"
-PREFERRED_VERSION_texinfo ?= "4.8a"
-PREFERRED_VERSION_texlive ?= "2007"
-PREFERRED_VERSION_texmaker ?= "1.3"
-PREFERRED_VERSION_thcrut ?= "1.2.5"
-PREFERRED_VERSION_thttpd ?= "2.25b"
-PREFERRED_VERSION_thumbpad ?= "0.8"
-PREFERRED_VERSION_thunar ?= "0.8.0"
-PREFERRED_VERSION_thunderbird ?= "1.0.7"
-PREFERRED_VERSION_tickypip ?= "0.1.2"
-PREFERRED_VERSION_tickypip-levels ?= "1.1"
-PREFERRED_VERSION_tightvnc ?= "1.3dev7"
-PREFERRED_VERSION_tiinit ?= "3.2.26"
-PREFERRED_VERSION_time ?= "1.7"
-PREFERRED_VERSION_timesleuth ?= "1.05ern"
-PREFERRED_VERSION_timezones ?= "1.2.0"
-PREFERRED_VERSION_tin ?= "1.9.1"
-PREFERRED_VERSION_tinc ?= "1.0.2"
-PREFERRED_VERSION_tinylogin ?= "1.4"
-PREFERRED_VERSION_tinyscheme ?= "1.35"
-PREFERRED_VERSION_tmake ?= "1.11"
-PREFERRED_VERSION_tmdns ?= "20030116"
-PREFERRED_VERSION_tn5250 ?= "0.16.5"
-PREFERRED_VERSION_tomoe ?= "0.2.1"
-PREFERRED_VERSION_tor ?= "0.1.1.26"
-PREFERRED_VERSION_totem ?= "1.0.4"
-PREFERRED_VERSION_tracker ?= "0.5.4"
-PREFERRED_VERSION_transconnect ?= "1.3-beta"
-PREFERRED_VERSION_trapproto ?= "3.4.3"
-PREFERRED_VERSION_tree ?= "1.5.1"
-PREFERRED_VERSION_treecc ?= "0.3.6"
-PREFERRED_VERSION_treecc-native ?= "0.3.6"
-PREFERRED_VERSION_tremor ?= "20041119"
-PREFERRED_VERSION_tron ?= "1.0.0"
-PREFERRED_VERSION_tscalib ?= "0.0.1-3"
-PREFERRED_VERSION_tsclient ?= "0.140"
-PREFERRED_VERSION_tslib ?= "1.0"
-PREFERRED_VERSION_ttf-bitstream-vera ?= "1.10"
-PREFERRED_VERSION_ttf-dejavu ?= "2.23"
-PREFERRED_VERSION_ttf-gentium ?= "1.02"
-PREFERRED_VERSION_ttf-hunkyfonts ?= "0.3.0"
-PREFERRED_VERSION_ttf-liberation ?= "0.2"
-PREFERRED_VERSION_ttf-sazanami ?= "20040629"
-PREFERRED_VERSION_ttyconv ?= "0.2.3"
-PREFERRED_VERSION_ttyrec ?= "1.0.8"
-PREFERRED_VERSION_tuxnes ?= "0.75"
-PREFERRED_VERSION_twin ?= "0.4.6"
-PREFERRED_VERSION_twisted ?= "2.5.0"
-PREFERRED_VERSION_twm ?= "1.0.3"
-PREFERRED_VERSION_twutils ?= "0.2"
-PREFERRED_VERSION_txdrug ?= "0.1"
-PREFERRED_VERSION_tximage ?= "0.2"
-PREFERRED_VERSION_u2nl ?= "1.3"
-PREFERRED_VERSION_uae4all ?= "0.7.1"
-PREFERRED_VERSION_ubahnnav ?= "0.4.1"
-PREFERRED_VERSION_u-boot ?= "1.2.0"
-PREFERRED_VERSION_u-boot-omap2430sdp ?= "1.1.4"
-PREFERRED_VERSION_u-boot-utils ?= "1.2.0"
-PREFERRED_VERSION_udev ?= "118"
-PREFERRED_VERSION_udev-hostap-cs-vcc-workaround ?= "1.0"
-PREFERRED_VERSION_udhcp ?= "0.9.8"
-PREFERRED_VERSION_ufraw ?= "0.12"
-PREFERRED_VERSION_uicmoc3-native ?= "3.3.5"
-PREFERRED_VERSION_uicmoc4-native ?= "4.3.3"
-PREFERRED_VERSION_uicmoc-native ?= "2.3.10"
-PREFERRED_VERSION_uim ?= "1.3.1"
-PREFERRED_VERSION_uim-native ?= "1.3.1"
-PREFERRED_VERSION_uim-tomoe-gtk ?= "0.2.0"
-PREFERRED_VERSION_ulxmlrpcpp ?= "1.5.2"
-PREFERRED_VERSION_uml-utilities ?= "20040406"
-PREFERRED_VERSION_unfreeze ?= "1.0"
-PREFERRED_VERSION_unionfs-modules ?= "1.0.13"
-PREFERRED_VERSION_unionfs-utils ?= "1.0.13"
-PREFERRED_VERSION_unionroot ?= "0.1.1"
-PREFERRED_VERSION_units ?= "1.80"
-PREFERRED_VERSION_unixbench ?= "4.1.0"
-PREFERRED_VERSION_unrar ?= "3.4.3"
-PREFERRED_VERSION_unrar-native ?= "3.4.3"
-PREFERRED_VERSION_unzip ?= "552"
-PREFERRED_VERSION_unzip-native ?= "552"
-PREFERRED_VERSION_update-alternatives-cworth ?= "0.99.154"
-PREFERRED_VERSION_update-alternatives-cworth-native ?= "0.99.154"
-PREFERRED_VERSION_update-alternatives-dpkg ?= "1.13.22"
-PREFERRED_VERSION_update-alternatives-dpkg-native ?= "1.13.22"
-PREFERRED_VERSION_update-modules ?= "1.0"
-PREFERRED_VERSION_upstart ?= "0.3.8"
-PREFERRED_VERSION_uqm ?= "0.5.0"
-PREFERRED_VERSION_usb-gadget-mode ?= "0.0.2"
-PREFERRED_VERSION_usbutils ?= "0.70"
-PREFERRED_VERSION_usbview ?= "1.0"
-PREFERRED_VERSION_ushare ?= "0.9.7"
-PREFERRED_VERSION_usound ?= "0.2.0"
-PREFERRED_VERSION_usrp ?= "0.12"
-PREFERRED_VERSION_util-linux ?= "2.12r"
-PREFERRED_VERSION_util-linux-native ?= "2.12r"
-PREFERRED_VERSION_util-macros ?= "1.1.5"
-PREFERRED_VERSION_util-macros-native ?= "1.1.5"
-PREFERRED_VERSION_uucp ?= "1.07"
-PREFERRED_VERSION_v4l2apps ?= "20020317"
-PREFERRED_VERSION_vala ?= "0.5.7"
-PREFERRED_VERSION_vala-native ?= "0.5.7"
-PREFERRED_VERSION_vde ?= "2.0.2"
-PREFERRED_VERSION_vectoroids ?= "1.1.0"
-PREFERRED_VERSION_videoplayer ?= "0.1"
-PREFERRED_VERSION_videoproto ?= "2.2.2"
-PREFERRED_VERSION_vim ?= "7.0"
-PREFERRED_VERSION_vim-tiny ?= "7.0"
-PREFERRED_VERSION_vino ?= "2.16.0"
-PREFERRED_VERSION_visiscript ?= "0.4.3"
-PREFERRED_VERSION_visual-boot ?= "0.0.1"
-PREFERRED_VERSION_vlan ?= "1.9"
-PREFERRED_VERSION_vlc-gpe ?= "0.8.4"
-PREFERRED_VERSION_vmedit ?= "0.02"
-PREFERRED_VERSION_vnc ?= "3.3.7"
-PREFERRED_VERSION_vochistory ?= "0.1"
-PREFERRED_VERSION_voicecall ?= "0.1"
-PREFERRED_VERSION_void11 ?= "0.2.0"
-PREFERRED_VERSION_vorbis-tools ?= "1.0.1"
-PREFERRED_VERSION_vpnc ?= "0.3.3"
-PREFERRED_VERSION_vsftpd ?= "2.0.5"
-PREFERRED_VERSION_vte ?= "0.16.14"
-PREFERRED_VERSION_vtun ?= "2.6"
-PREFERRED_VERSION_w3cam ?= "0.7.2"
-PREFERRED_VERSION_wakelan ?= "1.1"
-PREFERRED_VERSION_watchdog ?= "5.3.1"
-PREFERRED_VERSION_wbxml2 ?= "0.9.0"
-PREFERRED_VERSION_webcam-server ?= "0.50"
-PREFERRED_VERSION_wget ?= "1.9.1"
-PREFERRED_VERSION_whois ?= "4.5.25"
-PREFERRED_VERSION_wifistix-modules ?= "5.0.16.p0"
-PREFERRED_VERSION_wiggle ?= "0.6"
-PREFERRED_VERSION_wiggle-native ?= "0.6"
-PREFERRED_VERSION_win4 ?= "1.0.1"
-PREFERRED_VERSION_windowswmproto ?= "1.0.3"
-PREFERRED_VERSION_wireshark ?= "0.99.4"
-PREFERRED_VERSION_wlan-ng-modules ?= "0.2.7"
-PREFERRED_VERSION_wlan-ng-utils ?= "0.2.7"
-PREFERRED_VERSION_wmctrl ?= "1.07"
-PREFERRED_VERSION_wpa-gui ?= "0.4.8"
-PREFERRED_VERSION_wpa-supplicant ?= "0.6.9"
-PREFERRED_VERSION_wpa-supplicant-nossl ?= "0.2.6"
-PREFERRED_VERSION_wpa-supplicant-ssl ?= "0.2.6"
-PREFERRED_VERSION_wrt-imagetools-native ?= "1.0"
-PREFERRED_VERSION_wrt-init ?= "1.0"
-PREFERRED_VERSION_wrt-utils ?= "1.0"
-PREFERRED_VERSION_wv ?= "1.2.0"
-PREFERRED_VERSION_wview-sim ?= "3.1.3"
-PREFERRED_VERSION_wview-sim-mysql ?= "3.1.3"
-PREFERRED_VERSION_wview-vpro ?= "3.1.3"
-PREFERRED_VERSION_wview-vpro-mysql ?= "3.1.3"
-PREFERRED_VERSION_wview-wxt510 ?= "3.1.3"
-PREFERRED_VERSION_wview-wxt510-mysql ?= "3.1.3"
-PREFERRED_VERSION_wxwidgets ?= "2.8.7"
-PREFERRED_VERSION_x11perf ?= "1.4.1"
-PREFERRED_VERSION_x11vnc ?= "0.9.3"
-PREFERRED_VERSION_xaos ?= "3.2.3"
-PREFERRED_VERSION_xauth ?= "1.0.2"
-PREFERRED_VERSION_xawtv ?= "3.93"
-PREFERRED_VERSION_xbacklight ?= "1.1"
-PREFERRED_VERSION_xbase-clients ?= "1.0"
-PREFERRED_VERSION_xbitmaps ?= "1.0.1"
-PREFERRED_VERSION_xcb-demo ?= "0.1"
-PREFERRED_VERSION_xcb-proto ?= "1.0"
-PREFERRED_VERSION_xcb-util ?= "0.2"
-PREFERRED_VERSION_xchat ?= "2.8.4"
-PREFERRED_VERSION_xcmiscproto ?= "1.1.2"
-PREFERRED_VERSION_xcmiscproto-native ?= "1.1.2"
-PREFERRED_VERSION_xcursor-transparent-theme ?= "0.1.1"
-PREFERRED_VERSION_xdbedizzy ?= "1.0.2"
-PREFERRED_VERSION_xdemineur ?= "2.1.1"
-PREFERRED_VERSION_xdm ?= "1.1.6"
-PREFERRED_VERSION_xdpyinfo ?= "1.0.2"
-PREFERRED_VERSION_xerces-c ?= "2.7.0"
-PREFERRED_VERSION_xev ?= "1.0.2"
-PREFERRED_VERSION_xextproto ?= "7.0.2"
-PREFERRED_VERSION_xextproto-native ?= "7.0.2"
-PREFERRED_VERSION_xf86bigfontproto ?= "1.1.2"
-PREFERRED_VERSION_xf86bigfontproto-native ?= "1.1.2"
-PREFERRED_VERSION_xf86dga ?= "1.0.2"
-PREFERRED_VERSION_xf86dgaproto ?= "2.0.3"
-PREFERRED_VERSION_xf86driproto ?= "2.0.3"
-PREFERRED_VERSION_xf86-input-evdev ?= "1.1.5"
-PREFERRED_VERSION_xf86-input-keyboard ?= "1.2.2"
-PREFERRED_VERSION_xf86-input-mouse ?= "1.2.2"
-PREFERRED_VERSION_xf86-input-penmount ?= "1.2.0"
-PREFERRED_VERSION_xf86miscproto ?= "0.9.2"
-PREFERRED_VERSION_xf86rushproto ?= "1.1.2"
-PREFERRED_VERSION_xf86-video-ati ?= "6.6.193"
-PREFERRED_VERSION_xf86-video-fbdev ?= "0.3.1"
-PREFERRED_VERSION_xf86-video-i128 ?= "1.1.0.6"
-PREFERRED_VERSION_xf86-video-i810 ?= "1.6.5"
-PREFERRED_VERSION_xf86-video-newport ?= "0.2.1"
-PREFERRED_VERSION_xf86-video-nsc ?= "2.8.2"
-PREFERRED_VERSION_xf86-video-nv ?= "2.1.3"
-PREFERRED_VERSION_xf86-video-s3 ?= "0.5.0"
-PREFERRED_VERSION_xf86-video-savage ?= "2.1.3"
-PREFERRED_VERSION_xf86-video-siliconmotion ?= "1.5.1"
-PREFERRED_VERSION_xf86-video-sis ?= "0.9.3"
-PREFERRED_VERSION_xf86-video-tdfx ?= "1.3.0"
-PREFERRED_VERSION_xf86-video-trident ?= "1.2.3"
-PREFERRED_VERSION_xf86-video-tseng ?= "1.1.1"
-PREFERRED_VERSION_xf86-video-vesa ?= "1.3.0"
-PREFERRED_VERSION_xf86-video-via ?= "0.2.2"
-PREFERRED_VERSION_xf86-video-vmware ?= "10.14.1"
-PREFERRED_VERSION_xf86-video-voodoo ?= "1.1.1"
-PREFERRED_VERSION_xf86vidmodeproto ?= "2.2.2"
-PREFERRED_VERSION_xfcalendar ?= "4.2.3"
-PREFERRED_VERSION_xfce4-appfinder ?= "4.4.1"
-PREFERRED_VERSION_xfce4-dev-tools ?= "4.4.0"
-PREFERRED_VERSION_xfce4-icon-theme ?= "4.4.1"
-PREFERRED_VERSION_xfce4-mixer ?= "4.4.1"
-PREFERRED_VERSION_xfce4-panel ?= "4.4.1"
-PREFERRED_VERSION_xfce4-session ?= "4.4.1"
-PREFERRED_VERSION_xfce-mcs-manager ?= "4.4.1"
-PREFERRED_VERSION_xfce-mcs-plugins ?= "4.4.1"
-PREFERRED_VERSION_xfce-terminal ?= "0.2.6"
-PREFERRED_VERSION_xfdesktop ?= "4.4.1"
-PREFERRED_VERSION_xffm ?= "4.3.99.2"
-PREFERRED_VERSION_xfonts-xorg ?= "6.8"
-PREFERRED_VERSION_xfprint ?= "4.4.1"
-PREFERRED_VERSION_xfs ?= "1.0.4"
-PREFERRED_VERSION_xfsprogs ?= "2.8.16"
-PREFERRED_VERSION_xfwm4 ?= "4.4.1"
-PREFERRED_VERSION_xfwm4-themes ?= "4.4.1"
-PREFERRED_VERSION_xhost ?= "1.0.2"
-PREFERRED_VERSION_xineramaproto ?= "1.1.2"
-PREFERRED_VERSION_xinetd ?= "2.3.13"
-PREFERRED_VERSION_xinit ?= "1.0.5"
-PREFERRED_VERSION_xkbd ?= "0.8.15"
-PREFERRED_VERSION_xmame ?= "0.100"
-PREFERRED_VERSION_xmame-tiny ?= "0.100"
-PREFERRED_VERSION_xmms ?= "1.2.10"
-PREFERRED_VERSION_xmms-embedded ?= "20040327"
-PREFERRED_VERSION_xmms-mad ?= "0.10"
-PREFERRED_VERSION_xmms-tremor ?= "1.0"
-PREFERRED_VERSION_xmodmap ?= "1.0.3"
-PREFERRED_VERSION_xmonobut ?= "0.4.1"
-PREFERRED_VERSION_xorg-cf-files ?= "1.0.2"
-PREFERRED_VERSION_xorg-headers-native ?= "1.0"
-PREFERRED_VERSION_xorg-sgml-doctools ?= "1.2"
-PREFERRED_VERSION_xoscope ?= "1.12"
-PREFERRED_VERSION_xournal ?= "0.4.0.1"
-PREFERRED_VERSION_xpext ?= "1.0-5"
-PREFERRED_VERSION_xprint ?= "0.9.001"
-PREFERRED_VERSION_xprop ?= "1.0.2"
-PREFERRED_VERSION_xproto ?= "7.0.10"
-PREFERRED_VERSION_xproto-native ?= "7.0.10"
-PREFERRED_VERSION_xproxymanagementprotocol ?= "1.0.2"
-PREFERRED_VERSION_xqt ?= "0.0.9"
-PREFERRED_VERSION_xqt2 ?= "20060509"
-PREFERRED_VERSION_xrandr ?= "1.2.2"
-PREFERRED_VERSION_xrdb ?= "1.0.4"
-PREFERRED_VERSION_xscreensaver ?= "4.22"
-PREFERRED_VERSION_xscrnsaverh ?= "1.0"
-PREFERRED_VERSION_xserver-common ?= "1.18"
-PREFERRED_VERSION_xserver-kdrive ?= "1.3.0.0"
-PREFERRED_VERSION_xserver-kdrive-common ?= "0.1"
-PREFERRED_VERSION_xserver-nodm-init ?= "1.0"
-PREFERRED_VERSION_xserver-xorg ?= "1.3.0.0"
-PREFERRED_VERSION_xset ?= "1.0.3"
-PREFERRED_VERSION_xsetroot ?= "1.0.2"
-PREFERRED_VERSION_xsp ?= "1.0.0-8"
-PREFERRED_VERSION_xst ?= "0.15"
-PREFERRED_VERSION_xstroke ?= "0.6"
-PREFERRED_VERSION_xterm ?= "207"
-PREFERRED_VERSION_xtrans ?= "1.0.4"
-PREFERRED_VERSION_xtrans-native ?= "1.0.3"
-PREFERRED_VERSION_xtscal ?= "0.6.3"
-PREFERRED_VERSION_xvinfo ?= "1.0.2"
-PREFERRED_VERSION_yeaphone ?= "0.1"
-PREFERRED_VERSION_ypbind-mt ?= "1.19"
-PREFERRED_VERSION_ypserv ?= "2.17"
-PREFERRED_VERSION_yp-tools ?= "2.9"
-PREFERRED_VERSION_zauralign ?= "1.0.2"
-PREFERRED_VERSION_zaurus-tarball-native ?= "1.0"
-PREFERRED_VERSION_zbedic ?= "1.0"
-PREFERRED_VERSION_zbench ?= "2.0"
-PREFERRED_VERSION_zcip ?= "4"
-PREFERRED_VERSION_zd1211-firmware ?= "1.3"
-PREFERRED_VERSION_zd1211 ?= "r85"
-PREFERRED_VERSION_zddice ?= "1.0.0"
-PREFERRED_VERSION_zeroconf ?= "0.9"
-PREFERRED_VERSION_zgscore ?= "1.0.2"
-PREFERRED_VERSION_zile ?= "2.2.15"
-PREFERRED_VERSION_zip ?= "2.32"
-PREFERRED_VERSION_zip-native ?= "2.32"
-PREFERRED_VERSION_zipsc ?= "0.4.3"
-PREFERRED_VERSION_ziq ?= "1.1ern"
-PREFERRED_VERSION_zlapspeed ?= "1.0.0"
-PREFERRED_VERSION_zlib ?= "1.2.3"
-PREFERRED_VERSION_zlib-native ?= "1.2.3"
-PREFERRED_VERSION_zmerlin ?= "0.9.1"
-PREFERRED_VERSION_zope ?= "3.3.1"
-PREFERRED_VERSION_zrally ?= "0.90"
-PREFERRED_VERSION_zrev7 ?= "1.0.1"
-PREFERRED_VERSION_zroadmap ?= "1.1.0"
-PREFERRED_VERSION_zsafe ?= "2.1.3"
-PREFERRED_VERSION_zsh ?= "4.1.1"
-PREFERRED_VERSION_zshopi ?= "0.2"
-PREFERRED_VERSION_zsubhunt ?= "1.0.0ern"
-PREFERRED_VERSION_ztappy ?= "0.9.3ern"
-PREFERRED_VERSION_zten ?= "1.6.2"
-PREFERRED_VERSION_zuc ?= "1.1.2ern"
-PREFERRED_VERSION_zudoku ?= "1.1"
-PREFERRED_VERSION_zziplib ?= "0.10.82"
diff --git a/conf/distro/openmoko.conf b/conf/distro/openmoko.conf
index 2b34c40bc3..34c7179929 100644
--- a/conf/distro/openmoko.conf
+++ b/conf/distro/openmoko.conf
@@ -1,88 +1,4 @@
-#-----------------------------------------------------------------------------
-#@TYPE: Distribution
-#@NAME: Openmoko
-#@DESCRIPTION: Linux Distribution Configuration for the Openmoko Platform
-#-----------------------------------------------------------------------------
-
-require conf/distro/include/preferred-om-2008-versions.inc
-require conf/distro/include/angstrom-2007-for-openmoko.inc
-
-#
-# Header
-#
-DISTRO_NAME = "openmoko"
-DISTRO_VERSION = "-${DATE}"
-#DISTRO_TYPE = "release"
-DISTRO_TYPE = "debug"
-DISTRO = "openmoko"
-
-OVERRIDES = "local:${MACHINE}:openmoko:angstrom:${TARGET_OS}:${TARGET_ARCH}:build-${BUILD_OS}:fail-fast:pn-${PN}"
-
-LIBC = "glibc"
-require conf/distro/include/${LIBC}.inc
-
-INHERIT += "packaged-staging"
-
-CVS_TARBALL_STASH += "http://downloads.openmoko.org/developer/sources/"
-
-PREMIRRORS = "(ftp|https?)$://.*/.* http://downloads.openmoko.org/developer/sources/"
-
-DISTRO_FEED_PREFIX ?= "om-dev"
-DISTRO_FEED_URI ?= "http://downloads.openmoko.org/repository/testing"
-
-AB_DEPLOY_EXTRA ?= ""
-DEPLOY_DIR_IMAGE = "${DEPLOY_DIR}/images/${MACHINE_ARCH}/${AB_DEPLOY_EXTRA}"
-
-IMAGE_INITSCRIPTS = "initscripts-openmoko"
-
-# We try to minimize the distro features in the default image.
-DISTRO_FEATURES = "wifi ppp alsa ext2 vfat usbhost"
-
-# Some features (bluetooth, usbgadget) include packages we do not like.
-# Pick some of the packages manually.
-DISTRO_EXTRA_RDEPENDS += " \
- bluez4 \
- kernel-module-g-ether \
- "
-
-# 2.18 seems to break badly on 64-bit systems
-PREFERRED_VERSION_binutils ?= "2.17.50.0.12"
-PREFERRED_VERSION_binutils-cross ?= "2.17.50.0.12"
-
-# Bleeding-edge developers should add the following lines to their local.conf:
-# require conf/distro/include/fso-autorev.inc
-
-# override the PACKAGE_ARCH of certain packages for openmoko distro
-
-# Same kernel so same usb
-PACKAGE_ARCH_pn-usb-gadget-mode_om-gta01 = "armv4t"
-PACKAGE_ARCH_pn-usb-gadget-mode_om-gta02 = "armv4t"
-# same kernel so same keymaps
-PACKAGE_ARCH_pn-keymaps_om-gta01 = "armv4t"
-PACKAGE_ARCH_pn-keymaps_om-gta02 = "armv4t"
-# neod knows about both machines
-PACKAGE_ARCH_pn-neod_om-gta01 = "armv4t"
-PACKAGE_ARCH_pn-neod_om-gta02 = "armv4t"
-
-# Select package providers
-PREFERRED_PROVIDER_gtk+ = "gtk+"
-PREFERRED_PROVIDER_opkg = "opkg"
-PREFERRED_PROVIDER_libgsmd = "libgsmd"
-
-# for jalimo
-PREFERRED_PROVIDER_virtual/javac-native = "ecj-bootstrap-native"
-PREFERRED_PROVIDER_classpath = "classpath"
-PREFERRED_PROVIDER_virtual/java-initial = "cacao-initial"
-PREFERRED_PROVIDER_swt3.4-gtk = "swt3.4-gtk"
-PREFERRED_PROVIDER_midpath = "midpath-openmoko"
-
-# We don't use this, but select one to shut bitbake up.
-PREFERRED_PROVIDER_virtual/libqte2 = "qte"
-
-# Helper to say what image we built
-OM_VERSION_FILE = "${IMAGE_ROOTFS}/${sysconfdir}/om-version"
-ROOTFS_POSTPROCESS_COMMAND += "OLD_PWD=$PWD; cd `dirname '${FILE_DIRNAME}'`; echo Tag Name: `git tag|tail -n 1`> ${OM_VERSION_FILE};cd $OLD_PWD;"
-ROOTFS_POSTPROCESS_COMMAND += "OLD_PWD=$PWD; cd `dirname '${FILE_DIRNAME}'`; echo VERSION: `git-log -n1 --pretty=oneline|awk '{print $1}'` >> ${OM_VERSION_FILE}; cd $OLD_PWD;"
-ROOTFS_POSTPROCESS_COMMAND += "OLD_PWD=$PWD; cd `dirname '${FILE_DIRNAME}'`; echo Branch: ` git branch |awk '/*/{print $2}'` >> ${OM_VERSION_FILE}; cd $OLD_PWD;"
-ROOTFS_POSTPROCESS_COMMAND += "echo Build Host: `cat /etc/hostname` >> ${OM_VERSION_FILE};"
-ROOTFS_POSTPROCESS_COMMAND += "echo Time Stamp: `date -R` >> ${OM_VERSION_FILE};"
+WARNING:="${@bb.fatal('\n*\n*\n* Sorry, The Openmoko distribution has been removed on Aug 10, 2010. \
+\n* It is recommended to use DISTRO = \"shr\" distro instead. \
+\n* \
+\n* If you really need Openmoko you can still find it in git.\n*\n*\n')}"